diff --git a/benchtests/Makefile b/benchtests/Makefile
index 44f0d4ca94..649fe6224b 100644
--- a/benchtests/Makefile
+++ b/benchtests/Makefile
@@ -45,6 +45,7 @@ bench-math := \
   erf \
   erfc \
   erfcf \
+  erff \
   exp \
   exp10 \
   exp10f \
diff --git a/benchtests/erff-inputs b/benchtests/erff-inputs
new file mode 100644
index 0000000000..1258c3008f
--- /dev/null
+++ b/benchtests/erff-inputs
@@ -0,0 +1,794 @@
+## args: float
+## ret: float
+## includes: math.h
+# Random inputs in [0,b=0x5.ebed23725989cp+0]
+# where b is the smallest number such that erf(b) rounds to 1 (to nearest)
+0x1.4f587ap+1
+0x1.351946p+2
+0x1.ac5d36p+1
+0x1.dbe086p+1
+0x1.72a5aep+0
+0x1.e89146p-5
+0x1.6f9436p-4
+0x1.241b1ep+1
+0x1.01c44ap+1
+0x1.5839cep+2
+0x1.468a22p+0
+0x1.ef9ff2p+1
+0x1.1aff1ap+2
+0x1.885cb8p+1
+0x1.66328ep+2
+0x1.48adfcp+0
+0x1.651db6p+2
+0x1.629594p-2
+0x1.733974p+1
+0x1.41a5bp+2
+0x1.84c8bp+1
+0x1.c0e6d2p-2
+0x1.4e7cbp+2
+0x1.768d8p+2
+0x1.4062e8p+1
+0x1.5f5558p-1
+0x1.020e76p+1
+0x1.34dfb4p+0
+0x1.fab26ap-2
+0x1.3ef99ep+1
+0x1.52b33ap+0
+0x1.2966f4p+1
+0x1.62288ap-2
+0x1.8fbd5cp-2
+0x1.377d26p+2
+0x1.d45506p-2
+0x1.45ebccp+2
+0x1.6ba1a2p+0
+0x1.aeccf2p+1
+0x1.b78022p+1
+0x1.f2028cp-1
+0x1.508002p+0
+0x1.65d67p+1
+0x1.b2ec44p+1
+0x1.18ecfcp+0
+0x1.6ed75p+2
+0x1.586d16p+2
+0x1.34d222p+1
+0x1.264aeap+1
+0x1.b009ecp+0
+0x1.445ffcp+1
+0x1.459feep+2
+0x1.78f40ep+2
+0x1.167f9cp+1
+0x1.c7323ap-1
+0x1.992dep+1
+0x1.5446fep+1
+0x1.2d2704p+2
+0x1.17595ep+0
+0x1.791002p+2
+0x1.1c7edp+0
+0x1.774cd2p+0
+0x1.54b95p+2
+0x1.93cef2p-2
+0x1.5c07c2p+1
+0x1.1274bap+0
+0x1.5ddd44p+2
+0x1.69a38ap+2
+0x1.6e635ap+1
+0x1.77405cp+1
+0x1.97d92ap+0
+0x1.8e7a88p+1
+0x1.8d611ep+1
+0x1.49cc56p+1
+0x1.eca286p+1
+0x1.a0c516p+1
+0x1.13a7fp+1
+0x1.97b366p-3
+0x1.3b326p-1
+0x1.7a9678p+2
+0x1.4e0268p+2
+0x1.bcef3ap+1
+0x1.4e3cd6p+0
+0x1.956ffep+1
+0x1.af457cp+0
+0x1.77027ap+1
+0x1.28968cp+2
+0x1.39430ap+1
+0x1.4bf69cp+2
+0x1.610902p+2
+0x1.0789f2p+1
+0x1.afa5b2p+1
+0x1.17221p+2
+0x1.4752f8p+2
+0x1.44b8c8p+1
+0x1.de345p+1
+0x1.f0e8bp+1
+0x1.86e34cp+1
+0x1.3fa838p+2
+0x1.abdb14p+0
+0x1.6abcecp+1
+0x1.24daacp+1
+0x1.145356p+2
+0x1.8367bcp-2
+0x1.9cd87cp+0
+0x1.e5d518p+1
+0x1.551898p+2
+0x1.71b7fep-1
+0x1.825d0cp+0
+0x1.21aa9p+2
+0x1.6c0a38p+2
+0x1.b8bb96p+1
+0x1.69d766p+2
+0x1.686cfcp+2
+0x1.1059ep+1
+0x1.17e204p+2
+0x1.e177c8p+1
+0x1.98c13p+0
+0x1.cb217cp-2
+0x1.3d47a8p+2
+0x1.fe5646p-2
+0x1.999238p+1
+0x1.6b87fp+1
+0x1.f75b3cp+1
+0x1.76846ep+1
+0x1.98bd54p+1
+0x1.a0125ap+1
+0x1.4a7384p+0
+0x1.f1d3e8p+0
+0x1.c6942ap+1
+0x1.5241bap+2
+0x1.7dc4bap+0
+0x1.91c782p-2
+0x1.22106ep+2
+0x1.b6950ap-4
+0x1.4b4fb6p+2
+0x1.d5b75cp+1
+0x1.5f163ap-1
+0x1.0b9fbcp+1
+0x1.469036p-4
+0x1.ca1682p+1
+0x1.5ba326p+2
+0x1.7ca74ep-2
+0x1.71ab4ep+1
+0x1.477b38p+1
+0x1.0952a8p-1
+0x1.3d6e58p+2
+0x1.d7e55p-1
+0x1.8ac15p-2
+0x1.52ab54p+2
+0x1.caa3cp+1
+0x1.0cb442p+1
+0x1.1defe8p+2
+0x1.f78aeep+1
+0x1.2bcb82p+1
+0x1.d8f214p+1
+0x1.783512p+1
+0x1.a1e252p+1
+0x1.744322p+2
+0x1.0cda22p+2
+0x1.e90fbep+0
+0x1.b21a2ap-1
+0x1.2a971ep+2
+0x1.79f37ap+2
+0x1.fec7a4p-1
+0x1.d4e42p+0
+0x1.3e36f8p+2
+0x1.1e803cp+2
+0x1.c7669ep+1
+0x1.ec397cp+1
+0x1.b79d62p+1
+0x1.e924f6p-4
+0x1.a5dc54p+0
+0x1.dc2f14p+1
+0x1.7b8146p+1
+0x1.bec3aep-1
+0x1.01d0aep+0
+0x1.a4ecfep-3
+0x1.288ad6p+1
+0x1.18941p+0
+0x1.3d8e24p+1
+0x1.482eb8p+2
+0x1.669758p+1
+0x1.c66908p-1
+0x1.2cc09p+1
+0x1.4a334cp+1
+0x1.44c0c4p+0
+0x1.09956ep-1
+0x1.cfa182p-1
+0x1.346cf8p+2
+0x1.5d4eecp+2
+0x1.8fb94p+0
+0x1.30c39ap-1
+0x1.ed9acap+1
+0x1.ddf4b8p-1
+0x1.473302p+1
+0x1.12271cp+1
+0x1.64ce1ep+2
+0x1.5a36fcp-1
+0x1.a9b4ecp+0
+0x1.356fb6p-3
+0x1.9a2dc6p+0
+0x1.562e2cp+2
+0x1.f8b4ep+1
+0x1.4d56c6p-1
+0x1.81ffc6p+0
+0x1.0017ccp+2
+0x1.76a246p+0
+0x1.722882p-2
+0x1.3b85c6p+0
+0x1.6e019cp+0
+0x1.501626p-2
+0x1.63f188p+2
+0x1.34b438p+2
+0x1.08e5b8p+2
+0x1.44e0d6p+0
+0x1.e225b2p-3
+0x1.adaca2p+0
+0x1.65a722p+0
+0x1.6d3f8ap+1
+0x1.c1baaap-4
+0x1.3f121ap+2
+0x1.3bb002p-1
+0x1.ba209p+0
+0x1.12482p+2
+0x1.4ec5dep-1
+0x1.81283cp+1
+0x1.732db8p+2
+0x1.0a50a4p+2
+0x1.a25f48p-1
+0x1.3a3df6p+2
+0x1.581218p+0
+0x1.19f8c6p+1
+0x1.eeeefep-2
+0x1.f77aecp+1
+0x1.e91dbep-1
+0x1.ef0f5cp-2
+0x1.21bbbcp-1
+0x1.cdfceep+0
+0x1.69fd74p+1
+0x1.e57d9p+0
+0x1.eb48bp+1
+0x1.f57c8ap+0
+0x1.23b806p-3
+0x1.0f45fcp-5
+0x1.a3b0fap+1
+0x1.38f4e4p+2
+0x1.0dd874p+2
+0x1.dd6d2ep+0
+0x1.8ba816p+1
+0x1.051602p+2
+0x1.6eb146p+0
+0x1.26bb18p+2
+0x1.d4152cp+0
+0x1.70184ep+2
+0x1.49b552p-1
+0x1.6fddfcp+2
+0x1.4584p+2
+0x1.664aeep+2
+0x1.182bdap+2
+0x1.fa3e76p-1
+0x1.09419p+2
+0x1.0695d8p+2
+0x1.47c002p+0
+0x1.2fc16ap+2
+0x1.705daep-1
+0x1.48638cp+2
+0x1.4ae8f8p+2
+0x1.460cc6p+0
+0x1.082794p+0
+0x1.5ed79cp+2
+0x1.79c586p+1
+0x1.bd64eep+1
+0x1.5e78eep+0
+0x1.15d252p+2
+0x1.0fe27cp+0
+0x1.169bcap+0
+0x1.21932p+0
+0x1.77d414p+1
+0x1.793fdp+1
+0x1.1dbffcp+1
+0x1.337a0ap+1
+0x1.439b84p+2
+0x1.581cb2p+1
+0x1.68dd4p+2
+0x1.5331fp+1
+0x1.219a1cp+1
+0x1.618db8p+2
+0x1.8facdp+0
+0x1.00a78cp+2
+0x1.71a2c4p+2
+0x1.09147cp+2
+0x1.66304ap+2
+0x1.700616p+2
+0x1.3da6c6p+2
+0x1.337536p+2
+0x1.3082eep+2
+0x1.a9ce8p+1
+0x1.f69cacp+1
+0x1.7619ccp+0
+0x1.0103p-1
+0x1.0d19e8p+2
+0x1.233892p+0
+0x1.4798ecp+2
+0x1.9c4704p+0
+0x1.3fe7cep+2
+0x1.407ddap+2
+0x1.53998p+1
+0x1.73ab7p+2
+0x1.c6ff1ep+1
+0x1.60f32p+2
+0x1.2db9e8p+2
+0x1.0a55b2p+1
+0x1.34d728p+2
+0x1.4b4b8cp+2
+0x1.41b77ep+2
+0x1.36cf5ap+1
+0x1.312cdep+1
+0x1.54f9dcp+0
+0x1.b96824p-4
+0x1.16c04cp+1
+0x1.4812cp-1
+0x1.6634c4p+1
+0x1.decb16p+1
+0x1.d479f8p-3
+0x1.25d4f6p+1
+0x1.5c8f52p+2
+0x1.4d764p+1
+0x1.face7ep+1
+0x1.3f7c6p+0
+0x1.bfa922p+1
+0x1.71df7ap+1
+0x1.2b6682p+1
+0x1.c999bep+0
+0x1.19d22ap+2
+0x1.ce27b2p-1
+0x1.a9fb86p+1
+0x1.05bd8cp+2
+0x1.fd65c8p+1
+0x1.69b8b4p+2
+0x1.f30b9p-1
+0x1.eb22c2p-2
+0x1.413478p+1
+0x1.058bf2p+2
+0x1.2133c4p+2
+0x1.408784p+1
+0x1.3b4f02p+2
+0x1.9c1868p+1
+0x1.d02e12p+1
+0x1.45a3cep+1
+0x1.18e52cp+1
+0x1.a3ad9ep-1
+0x1.df3dc6p-1
+0x1.73c23ap+2
+0x1.3b0a88p+0
+0x1.5d17bap+1
+0x1.3b930ap+2
+0x1.b38a3cp+0
+0x1.4dcea8p+0
+0x1.b44d66p+1
+0x1.79cc2ap+2
+0x1.66f934p+2
+0x1.31da1p+2
+0x1.f915a4p+0
+0x1.32c0e4p+2
+0x1.80c256p+1
+0x1.ff4b22p+1
+0x1.0e0946p+2
+0x1.24a6b8p+2
+0x1.999062p+1
+0x1.03c622p+0
+0x1.20a8aap+2
+0x1.4b206p+2
+0x1.0d1a7p+2
+0x1.8dca2cp+1
+0x1.6ba09ap+1
+0x1.ad29c2p+1
+0x1.2e3e8cp+2
+0x1.1e6126p+2
+0x1.1c7016p-1
+0x1.3ae5d6p+0
+0x1.527d3ep+2
+0x1.41399cp+2
+0x1.dd9edp+0
+0x1.fa976ap+1
+0x1.6b5ce4p+1
+0x1.3a1bbp+1
+0x1.c0f0ap+1
+0x1.4d866p+2
+0x1.78a50ep+2
+0x1.8ff3dep+1
+0x1.14925cp+2
+0x1.60da0ap+2
+0x1.11e1aap+2
+0x1.742b38p+1
+0x1.68d6b4p+1
+0x1.83d00ep+1
+0x1.07111cp+1
+0x1.26b2bcp+2
+0x1.b42c92p+1
+0x1.42c73p+2
+0x1.0ea464p+0
+0x1.e815cep-1
+0x1.e2d296p+1
+0x1.58bb1ap+0
+0x1.a206e4p-4
+0x1.044aa8p+0
+0x1.15daf6p+1
+0x1.c325c8p+1
+0x1.0eab74p+1
+0x1.406322p+0
+0x1.6e3b68p-1
+0x1.491a1p-2
+0x1.73caa8p+2
+0x1.cef418p+1
+0x1.6d795ep+1
+0x1.58c27ep+2
+0x1.1dd774p+2
+0x1.02634p+1
+0x1.f58b5cp+0
+0x1.b62456p+1
+0x1.372386p+2
+0x1.f57e1ap+0
+0x1.a1c12cp+1
+0x1.17d68ap+2
+0x1.5a71bp+2
+0x1.5fe1c2p+0
+0x1.da403ap+1
+0x1.0f689ep+1
+0x1.ea38fp+1
+0x1.14f56ap-1
+0x1.3f9e28p+2
+0x1.2577acp+0
+0x1.4253c2p+2
+0x1.177cf8p+2
+0x1.65a242p+2
+0x1.bb21e4p+1
+0x1.11ddb2p+2
+0x1.764c84p+2
+0x1.25cdd2p-1
+0x1.b72a2ep+1
+0x1.fa7bdep+0
+0x1.3bf2e4p+1
+0x1.485238p+0
+0x1.292376p+1
+0x1.4e6a92p+2
+0x1.2dec42p+0
+0x1.72b91ep+0
+0x1.81ad86p-1
+0x1.c88df8p-3
+0x1.c7be24p+1
+0x1.9c9148p+1
+0x1.1067dep+1
+0x1.f346f6p-1
+0x1.b7c4f8p+0
+0x1.e0e21p-1
+0x1.02e754p+1
+0x1.f4d52cp-5
+0x1.8c42fcp+0
+0x1.919966p+1
+0x1.1b0a4ep+2
+0x1.d53ccp+1
+0x1.f1dc98p-1
+0x1.1d5de4p+2
+0x1.beb51cp-4
+0x1.4f364ep-3
+0x1.28affep+2
+0x1.9f2724p+1
+0x1.11ae38p+2
+0x1.678562p+2
+0x1.4404aep+1
+0x1.320972p+2
+0x1.9a6722p+1
+0x1.2eb368p-4
+0x1.e21492p+1
+0x1.e3b1b8p+1
+0x1.4d6c2ap+2
+0x1.694c54p+1
+0x1.ad53dep+1
+0x1.0853d8p-3
+0x1.610a12p+2
+0x1.519e6ap+0
+0x1.2f45fap-1
+0x1.9694eap+1
+0x1.168092p+1
+0x1.75fcfep+2
+0x1.6e171cp-2
+0x1.62f68ap+1
+0x1.97605ap+1
+0x1.e899f6p+0
+0x1.2d19e6p+2
+0x1.755792p+0
+0x1.254d72p+2
+0x1.435432p-1
+0x1.bcfb0ep+0
+0x1.848688p+0
+0x1.55c756p+1
+0x1.e6ac6ep-1
+0x1.09a10ap+2
+0x1.6ed98cp+2
+0x1.bb0adap+1
+0x1.7b2b98p+1
+0x1.2089dep+1
+0x1.86adfcp+1
+0x1.dec194p-2
+0x1.7b1b72p+0
+0x1.77bb6p+1
+0x1.6a6bbap+1
+0x1.6e2e66p+1
+0x1.1216bap-1
+0x1.615e08p+1
+0x1.023d8ep+0
+0x1.ac0138p+1
+0x1.5fe652p+1
+0x1.ed760ep+0
+0x1.7abb04p+2
+0x1.51397ap+1
+0x1.c2bb7ap+1
+0x1.6d67fcp+2
+0x1.f5ac42p-3
+0x1.7a843p+2
+0x1.da1be2p+1
+0x1.0f9624p+2
+0x1.bf79e8p-1
+0x1.0de12ep+1
+0x1.796e22p+2
+0x1.656a36p+0
+0x1.114b5ep+1
+0x1.95b83ep-2
+0x1.414fd4p+2
+0x1.98011p+1
+0x1.8ff01ep-1
+0x1.71217ep+2
+0x1.21a334p-2
+0x1.0751a2p+2
+0x1.cfdcdap+1
+0x1.2d67acp+2
+0x1.daac88p+1
+0x1.f7166ep+1
+0x1.f29acp+1
+0x1.28f16ap+1
+0x1.2c2b3ep+1
+0x1.489caep+2
+0x1.68ee82p+1
+0x1.04d7a8p-1
+0x1.350bc4p+0
+0x1.8b006ep+1
+0x1.cebea2p+1
+0x1.1d6c9ap+2
+0x1.185ceap+2
+0x1.245988p+2
+0x1.52b546p+1
+0x1.52da7cp+2
+0x1.77c98ap+2
+0x1.49f1e2p+1
+0x1.8f974ap+1
+0x1.231632p+2
+0x1.5ed006p+2
+0x1.6b209cp+1
+0x1.3e3bf8p+1
+0x1.5e34cp+1
+0x1.f058a4p+1
+0x1.9e7db6p+1
+0x1.64c196p+2
+0x1.0ffb4ep+1
+0x1.56eafp+2
+0x1.9d8c32p-3
+0x1.9b11fcp-1
+0x1.91d8cp+0
+0x1.3db162p+2
+0x1.e32ac4p+1
+0x1.3afc96p+2
+0x1.9add76p+1
+0x1.0a13f8p+2
+0x1.d7e564p+1
+0x1.2669dep-3
+0x1.6878ep+1
+0x1.c09c9cp+0
+0x1.487148p+2
+0x1.59794ep+2
+0x1.5572d4p+2
+0x1.3f5ce4p+2
+0x1.792fb6p+2
+0x1.1f0dc8p+1
+0x1.985e3ep+0
+0x1.2742b4p+2
+0x1.7455d4p-2
+0x1.4e0cap-5
+0x1.c6d3cp-5
+0x1.625b6ep+0
+0x1.1a6274p+2
+0x1.119e56p+2
+0x1.fbd332p+1
+0x1.43636ep+0
+0x1.bbb2dcp+1
+0x1.aad7ecp+1
+0x1.2d38a4p+1
+0x1.73732ap+0
+0x1.e90fd4p+1
+0x1.16f78p+2
+0x1.a6681p+1
+0x1.ef94aap+1
+0x1.c1d666p+1
+0x1.04b5dcp+2
+0x1.cce3cep+0
+0x1.8c4f58p+1
+0x1.61dd8p-2
+0x1.e4f6bcp+1
+0x1.6f4adcp+0
+0x1.662d2cp+2
+0x1.1e3f62p+2
+0x1.64887ep+2
+0x1.806398p+1
+0x1.67feaap+1
+0x1.b04292p+1
+0x1.6eb828p-1
+0x1.5fa046p+2
+0x1.0e099p+0
+0x1.3eefaap+2
+0x1.222388p+1
+0x1.5d4c86p-1
+0x1.ff120ep+1
+0x1.213128p+2
+0x1.21ddaep+2
+0x1.e637p+0
+0x1.6dc338p+1
+0x1.22d56p+2
+0x1.d3d6f4p+1
+0x1.ad4a42p+1
+0x1.b3cc2ep+1
+0x1.24497cp+2
+0x1.24c62p+2
+0x1.c496aep+1
+0x1.06e982p+2
+0x1.4d443p-2
+0x1.31cd9ep-1
+0x1.eef10cp+0
+0x1.071d36p+2
+0x1.835be6p+1
+0x1.db2c38p-2
+0x1.61b8a2p+1
+0x1.864568p-1
+0x1.242b1p+2
+0x1.5af89ap-1
+0x1.52838p+0
+0x1.c8f926p-1
+0x1.bd29fp+1
+0x1.3c8e8ep-1
+0x1.79920ap+1
+0x1.f3c8bp+1
+0x1.ee66d8p-1
+0x1.10a69ap+2
+0x1.c0e534p+0
+0x1.258dacp+2
+0x1.60ca82p+1
+0x1.4c8254p+2
+0x1.b1fb2ap-4
+0x1.f84d1p-1
+0x1.b9570ap-10
+0x1.553126p+2
+0x1.368462p+2
+0x1.34f8a6p+2
+0x1.268b6p+2
+0x1.190e0ap+1
+0x1.1089b8p+2
+0x1.c25902p+1
+0x1.3269e2p+1
+0x1.3adad8p+0
+0x1.526fd8p+2
+0x1.4d565p+2
+0x1.acd74ep+0
+0x1.ce93a6p+1
+0x1.06a69ap+1
+0x1.2861a4p+2
+0x1.2b4612p+2
+0x1.e96858p+1
+0x1.2f5ea6p+2
+0x1.c5c72ap-2
+0x1.aa35fep-1
+0x1.9231b6p+1
+0x1.d5fb38p+0
+0x1.38b47ep+1
+0x1.f80de4p+1
+0x1.2325a6p+2
+0x1.cbb04cp+1
+0x1.ca62bep-3
+0x1.808d18p+1
+0x1.0bf1ecp+0
+0x1.58dc5ap+0
+0x1.60db3p-1
+0x1.0e4bfap+2
+0x1.4b3f68p+2
+0x1.5c2e4cp+2
+0x1.cffdc6p+1
+0x1.11ae5ap+2
+0x1.55cd8ap+2
+0x1.40b5aep+0
+0x1.35e182p+1
+0x1.6d7ca6p+2
+0x1.ab92eap+1
+0x1.744a6ep+2
+0x1.7997eep+0
+0x1.71ca68p+2
+0x1.2d9aaep-7
+0x1.d26348p+1
+0x1.311f12p+2
+0x1.6a648cp+1
+0x1.972342p+1
+0x1.3f7894p+1
+0x1.967f8cp+0
+0x1.c1acd4p+1
+0x1.5adbdep+1
+0x1.349854p+2
+0x1.0b94c6p+2
+0x1.591dcp+2
+0x1.b7bdbep+1
+0x1.6242c6p+2
+0x1.f62ddcp+1
+0x1.2ec08ap+1
+0x1.0bb55cp+2
+0x1.416476p+0
+0x1.9528ccp+1
+0x1.c51e5cp+0
+0x1.0c1656p+2
+0x1.0408b8p+2
+0x1.788e86p+2
+0x1.0a670ep+1
+0x1.280114p+2
+0x1.48b918p+1
+0x1.476fd8p+1
+0x1.266796p+2
+0x1.3e156p+2
+0x1.dde01ap+1
+0x1.41f56cp+0
+0x1.577c8p+2
+0x1.4f532cp+2
+0x1.0fe75p+2
+0x1.a816b4p-1
+0x1.6f8572p-1
+0x1.1b0468p+2
+0x1.78996ap+2
+0x1.847a48p+1
+0x1.8083e8p+1
+0x1.5c862ap+2
+0x1.51ca6cp+2
+0x1.21640ap+0
+0x1.08533ap+1
+0x1.2f892cp-1
+0x1.576a9p+0
+0x1.460a22p-3
+0x1.3c6632p+2
+0x1.16bbbap+1
+0x1.3abe4cp+1
+0x1.099584p+1
+0x1.53e34p+2
+0x1.4f7c7ap+2
+0x1.26d2f2p+2
+0x1.19ef1p+2
+0x1.4ad2eep+1
+0x1.61325cp+2
+0x1.f684a2p+1
+0x1.0ae53ap+2
+0x1.20ec32p+2
+0x1.37fbbep+0
+0x1.8b10fap+1
+0x1.b6cd98p-1
+0x1.63d76ep+2
+0x1.1d8058p+2
+0x1.72dcd8p-1
+0x1.27331cp+2
+0x1.f6abfcp+1
+0x1.859118p+1
+0x1.1ac148p+0
+0x1.a260bep+1
+0x1.645ac4p-1
+0x1.1d65f8p+2
+0x1.b8e948p+0
+0x1.68a68ep+1
+0x1.2e9e0ep+0
+0x1.bb3834p+1
+0x1.22b716p+2
+0x1.168582p+2
+0x1.664138p-8
+0x1.eb0322p+1
+0x1.57082ep+2
+0x1.bd3ebp-1
+0x1.18f00ap+1
+0x1.1c26p+2
+0x1.aa0dd6p-1