diff --git a/benchtests/Makefile b/benchtests/Makefile
index e0f8964740..1768fd859b 100644
--- a/benchtests/Makefile
+++ b/benchtests/Makefile
@@ -33,6 +33,7 @@ bench-math := \
   asinhf \
   atan \
   atan2 \
+  atanf \
   atanh \
   cbrt \
   cos \
diff --git a/benchtests/atanf-inputs b/benchtests/atanf-inputs
new file mode 100644
index 0000000000..cec71cf8b4
--- /dev/null
+++ b/benchtests/atanf-inputs
@@ -0,0 +1,806 @@
+## args: float
+## ret: float
+## includes: math.h
+0x1.642176p-3
+0x1.32f964p+47
+0x1.639614p-4
+-0x1.404c8p+3
+0x1.ff0298p-4
+-0x1.3514dp+2
+-0x1.9cd792p-13
+0x1.48de06p-26
+0x1.df6792p+3
+-0x1.367204p+46
+-0x1.a6af32p+1
+-0x1.601448p-23
+0x1.6978a4p+34
+-0x1.bcf708p-20
+0x1.456012p+1
+-0x1.88e3f8p-4
+0x1.016652p+6
+0x1.4eeee6p-11
+0x1.1a93e2p-1
+0x1.2a86a6p+19
+0x1.b550a6p+19
+0x1.4f55ep+6
+0x1.179894p+0
+0x1.c587a4p+18
+0x1.c4d736p+41
+-0x1.0b00d2p+15
+0x1.d3ddd8p-17
+0x1.907796p+1
+0x1.1c0ee6p-26
+0x1.6e2186p-3
+0x1.52287p+0
+-0x1.47fc36p+2
+-0x1.fc80d2p+44
+0x1.6b6af2p-2
+-0x1.557b74p-2
+-0x1.c0bd72p-3
+-0x1.5dad54p+2
+-0x1.d95b36p+38
+0x1.645042p-2
+-0x1.139444p+1
+-0x1.28a692p-24
+0x1.d97ff4p-2
+-0x1.c46e82p-1
+0x1.189122p-21
+0x1.b22526p-25
+0x1.890978p+23
+-0x1.3de8b4p-4
+0x1.d539d8p+4
+0x1.9f3aa4p-8
+-0x1.28df32p-2
+-0x1.a5ba04p+39
+-0x1.0aa656p+44
+-0x1.596756p-1
+0x1.bf8952p+18
+0x1.245712p-9
+-0x1.e70dep-3
+0x1.0a6a66p-1
+0x1.cc6912p-2
+0x1.2f24cp-16
+0x1.ed2ac4p+41
+-0x1.db497p-4
+-0x1.bb126p-4
+0x1.d685f2p-4
+-0x1.272412p+1
+0x1.ec538p-3
+-0x1.fd7d82p-1
+0x1.228426p-17
+0x1.2ea848p+39
+-0x1.89a5c6p+3
+-0x1.fbd93p+3
+-0x1.866748p+3
+0x1.ab278p+1
+0x1.c17c66p+2
+0x1.a3f616p-4
+-0x1.e8bff4p+46
+0x1.2fbb9p-4
+0x1.d9d246p+10
+0x1.1adf66p+2
+-0x1.4bbf56p-20
+0x1.1bc9p+2
+-0x1.84cd84p+24
+-0x1.05cbc2p+0
+0x1.b18fc2p-2
+-0x1.a63bf2p-26
+0x1.08e7e6p+4
+0x1.97e8f2p+33
+0x1.135834p-13
+-0x1.f3a988p-15
+0x1.cc4fe4p-3
+0x1.d858d6p-2
+0x1.891108p-5
+0x1.5ab476p+1
+0x1.854548p+1
+-0x1.830ce4p-13
+0x1.b181a4p-19
+0x1.f77112p+30
+-0x1.512404p+43
+0x1.751c06p-1
+0x1.b88d88p-8
+0x1.52c5b8p-10
+0x1.e8913p-4
+0x1.2a2ed8p-1
+-0x1.47b534p+3
+0x1.b4d0b6p-24
+0x1.8316a4p-18
+-0x1.9e1ef2p+15
+-0x1.88bde6p+3
+-0x1.365034p+0
+0x1.7e4094p-17
+-0x1.2c3762p-18
+0x1.707642p+0
+-0x1.afd1dp+3
+-0x1.4b0d18p-11
+0x1.c4ed76p+0
+-0x1.5e2db8p+1
+0x1.050224p+3
+-0x1.3b3db4p-10
+0x1.5ccb8p+12
+0x1.175282p+0
+0x1.aabc42p+9
+-0x1.1a9044p+0
+0x1.3da942p+2
+0x1.501726p-12
+-0x1.1b3006p+4
+-0x1.ad4298p-1
+0x1.73d0e2p-3
+0x1.0a5146p-4
+0x1.9b9556p-3
+0x1.c1bde2p-2
+-0x1.c9c45p-24
+-0x1.b93f28p-3
+0x1.394074p+1
+0x1.815072p+0
+0x1.1e52d6p-1
+0x1.1f9074p-19
+0x1.133412p-23
+0x1.348b08p+2
+0x1.d25808p+2
+0x1.87b5ap-5
+0x1.b40fd6p+0
+0x1.9cd366p+28
+-0x1.40947p-24
+0x1.56af04p+21
+-0x1.e1898p-26
+-0x1.9dfb52p+47
+0x1.9bc2e8p+11
+0x1.b5a1cp+0
+0x1.205e56p+51
+-0x1.6c47a6p+2
+0x1.791cd4p-2
+0x1.231d32p+1
+0x1.91e2d4p-3
+0x1.34fa96p+30
+-0x1.6bc044p-11
+0x1.8addp-4
+-0x1.d346e2p-2
+-0x1.725698p+1
+0x1.a8e2a6p-1
+-0x1.8bd726p+3
+-0x1.3b0538p-1
+-0x1.2c0db2p+28
+0x1.4c6a12p-16
+0x1.b8d172p+0
+0x1.e6c6d8p+19
+-0x1.15a9f2p+2
+-0x1.c30f24p-3
+-0x1.d73aa2p+38
+-0x1.58b754p-4
+0x1.169012p+1
+0x1.197ee4p+25
+0x1.3fbap+1
+0x1.941d04p-4
+0x1.7f21c6p-2
+0x1.7581d6p+0
+0x1.97198p+27
+-0x1.e4469p-8
+-0x1.313312p-20
+0x1.31d202p+30
+0x1.1f4668p-20
+-0x1.bbbc32p+7
+-0x1.ff6f62p-1
+-0x1.3dd6a6p-1
+-0x1.294b22p-5
+0x1.80c6d2p+41
+0x1.66a704p-4
+0x1.c16432p+28
+-0x1.66cc36p-13
+-0x1.445ac6p+29
+-0x1.78d804p-17
+0x1.7d17f2p-4
+-0x1.be3452p+28
+0x1.83dff4p+42
+0x1.451782p+14
+-0x1.4dab42p+3
+0x1.337304p+2
+0x1.20f762p-4
+0x1.b74c38p+36
+0x1.6d17f2p-8
+-0x1.9084f6p+1
+-0x1.c57ef8p-3
+-0x1.943ce4p-26
+-0x1.75a426p+1
+0x1.ff0258p+2
+-0x1.63ef3p+0
+0x1.de26p+16
+0x1.153336p+29
+0x1.66bfb6p+0
+0x1.a49604p-4
+-0x1.150034p-4
+-0x1.38bed2p-9
+0x1.7d97f6p-19
+-0x1.7a3244p-2
+0x1.ed0682p+50
+-0x1.15a692p-4
+-0x1.d2c152p+48
+-0x1.d3954p+1
+0x1.d121d6p-27
+-0x1.159dcp-18
+0x1.835914p+46
+-0x1.f45bc2p-2
+-0x1.abaf42p+0
+0x1.f67cc6p+22
+-0x1.3cdc56p+0
+-0x1.5a8f04p-4
+0x1.306774p-5
+-0x1.0f2112p+1
+-0x1.abbcc6p-17
+-0x1.ff7594p+3
+-0x1.6048b6p-3
+-0x1.84f496p+3
+-0x1.ecc902p-9
+0x1.d9cd04p-18
+0x1.cd8464p-3
+0x1.636606p+3
+-0x1.8ebc74p+1
+-0x1.b87c64p-3
+0x1.c45cbp-3
+-0x1.e702b4p+35
+0x1.fc63p+3
+-0x1.3f43a8p+0
+-0x1.f1cdp+3
+-0x1.d2fbd2p+11
+0x1.907fd4p-10
+0x1.a37122p+43
+0x1.df8544p+26
+0x1.acb328p-18
+0x1.b1ea22p-4
+-0x1.e0dff2p-4
+0x1.ef38b2p+39
+-0x1.baba24p-13
+0x1.4fe7c8p+46
+-0x1.988074p+29
+0x1.7599ep-8
+0x1.251b26p+52
+-0x1.a27c56p+0
+-0x1.f091c8p+17
+-0x1.d0e112p-13
+0x1.33ee36p+1
+-0x1.e714e2p-2
+0x1.1292e4p-3
+-0x1.03fcc6p+22
+0x1.a53c82p-2
+-0x1.f16e32p-20
+0x1.e88a98p+14
+0x1.4f0012p+13
+-0x1.388bf2p-1
+0x1.0f70b2p-3
+0x1.e95a76p-1
+-0x1.104756p+2
+0x1.091e74p+0
+0x1.2560a8p-26
+0x1.b7fde4p-20
+0x1.c7f116p-4
+-0x1.e99524p+40
+-0x1.960706p-3
+0x1.6ca4dp+41
+-0x1.782a5p+50
+-0x1.26e3c4p+1
+0x1.ca282p-10
+0x1.87d032p-17
+0x1.a80f98p-3
+0x1.66ed54p+45
+-0x1.081bb6p+21
+-0x1.a51802p-3
+-0x1.f9af92p-4
+0x1.f5965p+1
+0x1.085c3p+0
+-0x1.b9fea6p+1
+-0x1.453542p+24
+-0x1.e66c14p+1
+-0x1.90a684p+40
+0x1.9bc932p+26
+0x1.4b941p-3
+-0x1.c7b564p+50
+-0x1.c2b25p+13
+-0x1.bfb284p+2
+-0x1.173236p-10
+-0x1.ac62c8p-4
+-0x1.c2a946p-17
+0x1.1e1bf4p+1
+-0x1.c6a1a8p+0
+-0x1.e6fb52p+3
+-0x1.8932b6p-19
+0x1.6407ap+12
+0x1.87a1b2p-4
+0x1.e5ebf4p-4
+-0x1.f8d5ep+20
+0x1.428366p+31
+-0x1.d1ad76p-4
+0x1.3d1f16p-1
+0x1.fdabap+31
+0x1.331114p-3
+0x1.b5dc02p-2
+-0x1.04d742p-23
+0x1.a80bc6p+3
+0x1.476624p+1
+-0x1.a5cbe4p-3
+-0x1.ba1d24p-11
+-0x1.daaf84p-13
+-0x1.c65d36p-11
+-0x1.3f4da2p+2
+0x1.262fa4p-7
+0x1.914e6p-4
+-0x1.efac26p-9
+0x1.ce3972p-4
+0x1.be05d2p-11
+-0x1.7479b8p-3
+-0x1.ac20c4p+2
+0x1.9a4872p-4
+0x1.2a1248p+47
+0x1.b19812p-1
+0x1.fbf718p-2
+0x1.22fbd8p-23
+0x1.b1b2a4p+34
+0x1.84e626p-19
+-0x1.0b3bf6p-25
+0x1.f93ce2p-15
+0x1.bbd3b6p-22
+-0x1.47b316p+27
+-0x1.827896p-18
+0x1.2947c2p-2
+0x1.3466e4p+1
+-0x1.23c2ap-11
+-0x1.5831b4p-2
+0x1.4a7fb4p-24
+0x1.775446p+2
+0x1.40a522p+43
+-0x1.859504p-1
+0x1.629112p+49
+0x1.f7296p-24
+0x1.100cbp+0
+-0x1.1280f4p+8
+-0x1.2e9356p+1
+-0x1.462106p-12
+0x1.1c4112p-25
+-0x1.56956p-22
+-0x1.7a8124p+3
+0x1.17fba4p-4
+0x1.067254p-4
+0x1.3157a8p+2
+0x1.a82f38p+2
+-0x1.a8fac6p+1
+0x1.0f28dp+0
+0x1.da30a6p+2
+-0x1.4a8a08p-3
+-0x1.79e674p-1
+0x1.c89b62p+31
+-0x1.0f8108p+3
+-0x1.f720f2p-22
+0x1.144b44p-4
+-0x1.ceb152p-3
+-0x1.4b12e4p+0
+0x1.c0ae82p-3
+0x1.85c108p-3
+0x1.3c4636p-3
+-0x1.d59892p-4
+-0x1.cd128p-3
+0x1.b622b8p+8
+-0x1.2795c2p-15
+-0x1.639d32p-19
+-0x1.e8f918p-8
+0x1.c9eca4p+1
+0x1.be8628p+3
+0x1.750cd4p-24
+-0x1.033ab2p-18
+-0x1.9679b2p-4
+0x1.f7b3a2p-23
+-0x1.9f2864p+1
+0x1.c7fed2p+4
+0x1.c23ec4p-7
+-0x1.1e5006p+1
+-0x1.0d9f22p+3
+0x1.bd834p+46
+0x1.dac884p+3
+0x1.7c1916p+1
+-0x1.121aa4p+33
+-0x1.b09966p-2
+-0x1.6c8354p-1
+-0x1.5df82p+3
+-0x1.465712p+28
+0x1.48a902p+0
+0x1.70e4b4p+50
+-0x1.e120d6p-4
+-0x1.4f29p+1
+-0x1.848166p-5
+-0x1.4cd082p-16
+-0x1.d9d2d8p-1
+-0x1.222be2p+0
+-0x1.361e66p+16
+-0x1.3ddd36p-19
+0x1.3ee602p-18
+0x1.e37ab6p+45
+-0x1.0b8a98p+2
+-0x1.95897p-20
+0x1.b7ca36p-4
+0x1.2a7b12p+0
+-0x1.8c0fd2p-4
+0x1.c32454p-26
+0x1.853192p-14
+0x1.172b96p-2
+0x1.415674p-3
+-0x1.dd0858p-3
+-0x1.f112f2p+23
+0x1.f07ef2p-9
+0x1.b0b644p-2
+0x1.edf904p-26
+-0x1.420eep-16
+-0x1.ce5f44p+0
+-0x1.b49ed6p-2
+0x1.bc1e68p+27
+0x1.18f252p-1
+0x1.3bd352p-25
+0x1.042f04p+0
+0x1.890e26p+2
+0x1.ec3318p+39
+-0x1.12aec6p+2
+-0x1.b096p+7
+0x1.4c1434p+36
+-0x1.366b32p-9
+-0x1.d04012p-27
+-0x1.bb73e6p+51
+-0x1.22df92p+14
+-0x1.84d2c6p-4
+-0x1.248ce4p-3
+-0x1.a89a16p+41
+-0x1.220616p-1
+-0x1.9b779p+37
+0x1.e14612p-20
+0x1.8bf9dp-6
+-0x1.74eec2p+18
+-0x1.1eca66p-24
+-0x1.5f6e28p+5
+-0x1.95f646p+1
+-0x1.ad0924p-14
+-0x1.71b748p+2
+-0x1.e88ecp+40
+0x1.0efadp-2
+-0x1.d614b8p-11
+-0x1.87f104p-4
+0x1.db8bf8p+25
+0x1.18a074p-3
+0x1.c52552p+2
+0x1.4eee54p-2
+-0x1.acd7a8p+49
+-0x1.efdbb6p+3
+-0x1.c0dbd4p+14
+0x1.a8b906p-26
+0x1.950f2p-3
+0x1.62bc16p+1
+0x1.ec8712p+5
+-0x1.dcf2f6p-4
+-0x1.13a1p+1
+-0x1.275ce6p-1
+-0x1.2d3996p-5
+-0x1.a7663p+3
+-0x1.b2ec66p+38
+-0x1.9bd4a6p-20
+-0x1.49dcb6p+1
+-0x1.2b34cp-3
+0x1.99ee7p-21
+0x1.35b202p-3
+-0x1.92a3p-2
+-0x1.d69d6p+3
+0x1.eee736p-3
+-0x1.07de74p+12
+-0x1.a8ea74p+8
+-0x1.eca312p+1
+-0x1.8b4b26p+51
+0x1.167434p-23
+0x1.585658p-20
+0x1.0e0448p+2
+0x1.b28d2p-4
+0x1.9a8d34p-25
+0x1.948ac6p+3
+-0x1.563cf4p-4
+0x1.fa49e6p+42
+0x1.c42c26p+48
+-0x1.001e58p+2
+-0x1.4dfb18p-3
+-0x1.d9b9b6p+23
+0x1.554964p+3
+-0x1.8420d8p+3
+-0x1.ac7cd4p+2
+0x1.ce297p+2
+-0x1.de2ce2p-16
+0x1.4fe216p-2
+0x1.4d4234p+1
+0x1.f4c64p-10
+0x1.1512c2p+37
+0x1.b584b2p+22
+-0x1.695e98p-1
+0x1.7373d6p+24
+0x1.f899a6p-22
+-0x1.f5ad76p+0
+0x1.daf95p+1
+0x1.a9c474p-7
+0x1.a66902p-2
+-0x1.f6bc52p+2
+-0x1.037768p+20
+-0x1.269298p-4
+0x1.13d1e2p+3
+-0x1.ddf1d6p-20
+0x1.6c2132p+0
+0x1.953fe4p+0
+-0x1.2ed5d4p-15
+-0x1.d3e9f2p-4
+0x1.531552p-4
+-0x1.aeeb36p+26
+0x1.9f55b4p+2
+0x1.894152p+3
+-0x1.93a3d6p+22
+-0x1.378036p+43
+-0x1.d5dde2p-23
+0x1.f14512p+4
+-0x1.ca23p+0
+-0x1.fc4064p+23
+-0x1.ec88c8p-6
+-0x1.2d5974p-21
+0x1.437a14p+2
+-0x1.9104e6p-2
+-0x1.b70572p-7
+0x1.d10452p+2
+0x1.2874b4p+0
+0x1.fa66d2p+20
+-0x1.303e44p+46
+0x1.4b5d56p+44
+0x1.602bb4p-20
+-0x1.158f82p-3
+-0x1.36a394p+3
+-0x1.826092p-19
+-0x1.a72da4p-26
+0x1.839626p-1
+-0x1.bd2da6p+5
+0x1.3257ep-23
+-0x1.b3ebep+3
+0x1.116496p-4
+0x1.bd5404p+30
+-0x1.dd0ep-3
+-0x1.4167e6p+6
+-0x1.b03558p-1
+0x1.7853f4p+15
+0x1.bc20a8p-18
+0x1.0e3ee4p+3
+-0x1.95aab6p+45
+-0x1.4930a8p+1
+0x1.ea774p-1
+0x1.4fac94p-3
+0x1.a2ed88p+43
+0x1.14d2dp+2
+-0x1.3473f6p+11
+0x1.b6471p+3
+-0x1.4e0b92p+23
+0x1.2a3798p-4
+0x1.ce1098p-14
+0x1.b6cef6p+2
+-0x1.326762p-22
+0x1.56473p+24
+-0x1.46f3d4p-11
+-0x1.6d4e52p-7
+0x1.622a06p+11
+-0x1.7e0bb4p-6
+0x1.55a1a4p+1
+-0x1.d74924p+32
+0x1.83573p-18
+0x1.2d9cf8p-9
+-0x1.6cee96p+26
+0x1.45c584p-3
+0x1.2f01d8p+21
+-0x1.014c52p+0
+0x1.9d9656p+3
+0x1.f878a4p-3
+0x1.1206f2p+1
+0x1.998bc4p-3
+0x1.2160cp+41
+0x1.66cce4p-6
+-0x1.47bf28p-3
+-0x1.88b944p-13
+0x1.baf008p+2
+-0x1.d7a664p-22
+0x1.8bfbf4p+22
+-0x1.a2b138p+9
+0x1.b8fa26p+29
+0x1.2e9ee6p-2
+0x1.fd42f2p-15
+0x1.b4c7c8p+38
+0x1.6fee02p-18
+0x1.b986a4p-9
+-0x1.f63c68p-7
+-0x1.860b96p-4
+0x1.c9dbe2p-7
+-0x1.e5af66p-4
+0x1.2f4836p-3
+0x1.afac32p-11
+0x1.e2423p-1
+0x1.555f16p+40
+-0x1.42c7b6p-4
+0x1.f5e416p+24
+0x1.43795p+10
+-0x1.c38b26p+0
+-0x1.ecf008p-3
+0x1.636eb2p-18
+0x1.7609e8p+2
+0x1.2db5d4p+3
+-0x1.221c24p-3
+0x1.084b24p-19
+-0x1.69c8f6p+2
+-0x1.5458a6p+0
+0x1.c8b532p-15
+0x1.0c8ac2p-22
+-0x1.28b804p+3
+0x1.919d64p-9
+0x1.4c0b08p-1
+-0x1.dd7406p-20
+0x1.ba2104p+19
+-0x1.b21fc2p+0
+0x1.eacb56p+1
+-0x1.058304p-2
+-0x1.e530d6p+15
+0x1.9efc14p-21
+0x1.9e4344p-2
+0x1.d6c5d6p-22
+0x1.2f054p+1
+0x1.89ea32p+1
+0x1.c9d69p-7
+0x1.9b1ef6p-2
+-0x1.c1e614p+43
+0x1.248b34p-26
+0x1.0dc292p-15
+0x1.a17a22p+18
+-0x1.a08814p+19
+0x1.8b92c2p+40
+0x1.69ab68p+0
+-0x1.343232p-17
+-0x1.0c4932p+0
+-0x1.2bdc38p-2
+0x1.2d5634p-12
+0x1.a27134p-4
+0x1.fa6332p+26
+0x1.6f50c6p-21
+-0x1.0486e8p+45
+-0x1.fa20f8p-3
+0x1.0439c6p+2
+0x1.4e5d36p+2
+0x1.985934p-2
+0x1.bf5928p-4
+0x1.bd39fp-4
+0x1.0130b8p+0
+-0x1.299cc6p+2
+-0x1.6d9fc8p+0
+0x1.b4211p+31
+0x1.b5997p+1
+0x1.c40836p+38
+0x1.ac3bb4p+1
+0x1.6d6674p-11
+0x1.20beb8p-16
+0x1.d285f8p-4
+0x1.bf37a4p+37
+-0x1.8852a2p+1
+0x1.8129a2p+31
+0x1.1b3156p+38
+0x1.efe3d8p+0
+-0x1.df4fc6p+34
+-0x1.801e64p+1
+0x1.de7fc2p+1
+0x1.82cd96p-3
+0x1.14ce18p+2
+-0x1.b8bfa6p-4
+0x1.04ff06p-9
+-0x1.8327b2p-4
+-0x1.8cabe8p-3
+-0x1.82c492p+24
+-0x1.d85a26p-24
+-0x1.efdc44p+24
+0x1.ea99c6p-17
+0x1.3fb668p+1
+0x1.97dcep-3
+-0x1.9dc4fp+43
+0x1.ea7d72p+41
+-0x1.ec9d52p-25
+-0x1.bb2176p-3
+-0x1.71eeb2p-15
+-0x1.7be386p+25
+0x1.c1f988p-6
+0x1.215928p+2
+-0x1.4805b4p-17
+-0x1.c16834p-20
+0x1.c52f54p+10
+0x1.14d5e6p+52
+0x1.2f9294p+0
+0x1.e9ce62p-4
+-0x1.8a14f4p+32
+0x1.640132p+3
+-0x1.9090f4p+23
+0x1.be6b48p-12
+0x1.59a428p+1
+0x1.8603f6p-15
+-0x1.4d2ba4p-2
+-0x1.7d7706p+12
+0x1.edfb88p+1
+-0x1.f23d94p-4
+-0x1.215006p+41
+0x1.cb8712p-15
+0x1.fb47c8p-24
+0x1.f1c904p-12
+-0x1.31e6e4p+0
+-0x1.facd32p+2
+-0x1.9823a4p-3
+0x1.3db1f6p+51
+0x1.634406p-1
+-0x1.8be612p-13
+0x1.6f07c2p+38
+-0x1.fd4806p-5
+-0x1.82eb18p-2
+0x1.26e0a2p-18
+-0x1.74a1cp-14
+-0x1.bb0c36p+0
+-0x1.56a488p+1
+-0x1.d01e66p+2
+-0x1.52503p+36
+-0x1.83c6f4p-24
+-0x1.41ae76p+1
+-0x1.d738a6p+1
+0x1.1a5248p-14
+0x1.d70394p-22
+-0x1.cc5566p-4
+-0x1.4144e4p-4
+0x1.a41e2p-4
+-0x1.8588a6p+8
+0x1.cf4332p-27
+-0x1.d70844p-8
+-0x1.b1a912p-3
+0x1.ad4408p-15
+-0x1.735cf8p+25
+-0x1.94d982p-4
+-0x1.61dac2p+1
+0x1.f71586p-20
+-0x1.3338f2p-2
+-0x1.044ab2p-1
+0x1.b23086p-25
+0x1.c35394p+15
+-0x1.2998d6p-4
+0x1.7273d8p+0
+-0x1.6214d4p+32
+-0x1.3b2aa6p-3
+-0x1.6cc91p-4
+-0x1.1194f4p+28
+-0x1.6dc312p+2
+-0x1.b447ep+18
+-0x1.705866p+15
+-0x1.8e6752p+38
+-0x1.ebe666p+3
+0x1.df6ee2p+32
+-0x1.35ce12p+5
+0x1.7c26fp-3
+0x1.af1996p+28
+0x1.c4ea48p+2
+0x1.697b38p+19
+0x1.49fa58p+52
+-0x1.695ee8p+48
+-0x1.169c76p-23
+0x1.207274p-4
+0x1.7c2dc6p+23
+0x1.fe02e6p-24
+0x1.accc4p+49
+-0x1.af3426p-18
+-0x1.ab2cap-4
+0x1.aeaaf4p-4
+-0x1.84f782p-9
+-0x1.d88588p-9
+-0x1.a61872p-22
+-0x1.9b9952p-6
+-0x1.f68b46p-18
+0x1.e14436p+3
+0x1.ce1a94p-22
+0x1.b24256p+38
+0x1.2eaa66p+2
+0x1.b5bb46p+0
+-0x1.ead75p+26
+0x1.86fa3p+3
+-0x1.acd452p+49
+0x1p+0
+0x1.000002p+0
+0x1.00000ep+0