diff --git a/benchtests/Makefile b/benchtests/Makefile
index 31c8adc942..44f0d4ca94 100644
--- a/benchtests/Makefile
+++ b/benchtests/Makefile
@@ -44,6 +44,7 @@ bench-math := \
   coshf \
   erf \
   erfc \
+  erfcf \
   exp \
   exp10 \
   exp10f \
diff --git a/benchtests/erfcf-inputs b/benchtests/erfcf-inputs
new file mode 100644
index 0000000000..9f8087c15f
--- /dev/null
+++ b/benchtests/erfcf-inputs
@@ -0,0 +1,795 @@
+## args: float
+## ret: float
+## includes: math.h
+# Random inputs in [0,b=0x1.b39dc41e48bfdp+4]
+# where b is the smallest number such that erfc(b) rounds to 0 (to nearest)
+0x1.13ef48p+4
+0x1.34dc88p+3
+0x1.6f056cp-2
+0x1.c0636ap+3
+0x1.3b10d4p+4
+0x1.e7802ep+3
+0x1.26b58p-3
+0x1.318f0cp+4
+0x1.7b77ap+3
+0x1.d9afe8p+2
+0x1.90e416p+3
+0x1.14bb64p+0
+0x1.662a6p+3
+0x1.73018cp+4
+0x1.a0bd4p+4
+0x1.383b46p+4
+0x1.bd648p+3
+0x1.ef55fcp+1
+0x1.b037ccp+3
+0x1.afaf5cp+3
+0x1.a7ef46p+3
+0x1.038dacp+3
+0x1.bf345ap+3
+0x1.6f6d6cp+3
+0x1.5184dep+2
+0x1.03c35p+4
+0x1.bfcfp+3
+0x1.f88c2p+1
+0x1.2c664ep+0
+0x1.d76ad8p+3
+0x1.6f2ab2p+4
+0x1.91b144p+2
+0x1.3e4536p+4
+0x1.71f4dep+2
+0x1.8a3b88p+3
+0x1.155136p+3
+0x1.4e1b1ep+4
+0x1.4bde5ap+2
+0x1.a6f8dep+2
+0x1.6a791ap+4
+0x1.8cce2p+4
+0x1.946dbep+1
+0x1.238888p+4
+0x1.575cc8p+1
+0x1.28928ep+3
+0x1.4673fap+1
+0x1.9c2f4cp+4
+0x1.6a781cp+4
+0x1.b89928p+0
+0x1.879cdap+3
+0x1.b2e478p+4
+0x1.9ef094p+4
+0x1.9057cep+2
+0x1.3e4fap+4
+0x1.8c16a4p+4
+0x1.09f162p+4
+0x1.432d14p+4
+0x1.6e11ep+4
+0x1.2bea0cp+3
+0x1.f49596p-1
+0x1.5cd24ep+1
+0x1.a4b03ep+3
+0x1.7741e6p+3
+0x1.05bb34p+4
+0x1.4a0ab8p+4
+0x1.1772cap+2
+0x1.dc105ep+3
+0x1.36e6f8p+4
+0x1.e185p+3
+0x1.5cd57ep+4
+0x1.502f7ep+4
+0x1.f4123ep+3
+0x1.e251c6p+3
+0x1.1b18a2p+1
+0x1.249b3ap+3
+0x1.8a8d62p+3
+0x1.27f85ap+4
+0x1.857572p+3
+0x1.2334dcp+4
+0x1.661114p+4
+0x1.6cc1dep+3
+0x1.2a9ab4p+3
+0x1.941b68p+3
+0x1.0cc2cap+3
+0x1.72f6ep+3
+0x1.986b9p+3
+0x1.10c0e6p+4
+0x1.49718p+4
+0x1.5356a2p+4
+0x1.aa386ap+3
+0x1.8daff6p+4
+0x1.52363p+4
+0x1.8d808ep+1
+0x1.15b4e6p+4
+0x1.0a98dp+4
+0x1.aa7e28p+4
+0x1.65e1b4p+3
+0x1.8ff7a4p+4
+0x1.0cb19ep+4
+0x1.a1f3d6p+2
+0x1.592966p+3
+0x1.9ce0e2p+0
+0x1.daa1c6p+3
+0x1.688784p+2
+0x1.a8a8bp+3
+0x1.9f6866p+4
+0x1.b623bp+3
+0x1.2b3edep+2
+0x1.2cc166p+2
+0x1.4de9f6p+4
+0x1.8574d6p+2
+0x1.ec3034p+3
+0x1.969f76p+4
+0x1.d05804p+2
+0x1.19a28cp+4
+0x1.185a4cp+3
+0x1.9bb912p+0
+0x1.33d964p+4
+0x1.bf5f3ep+3
+0x1.0c33b6p+4
+0x1.2cbdap+4
+0x1.9daec4p+4
+0x1.d90da2p+3
+0x1.2f036ap+3
+0x1.2287f2p+4
+0x1.9fdbf8p+2
+0x1.74da72p+2
+0x1.2f8766p+4
+0x1.696534p+3
+0x1.3a98bap+4
+0x1.9add42p+1
+0x1.cf6288p+2
+0x1.4d30c4p+4
+0x1.3dfeaap+4
+0x1.5f2e8ap+4
+0x1.5c2186p+3
+0x1.5859bcp+2
+0x1.2ab282p+4
+0x1.556ee4p+3
+0x1.f453c6p+2
+0x1.0da30ep+3
+0x1.2df97cp+4
+0x1.281a1p+2
+0x1.0e580ep+4
+0x1.6ac718p+4
+0x1.bd552ep+0
+0x1.10ede2p+3
+0x1.98b69ap+3
+0x1.11cb48p+4
+0x1.53e9a2p+3
+0x1.3ff7dp+4
+0x1.0409d2p+3
+0x1.b66884p+3
+0x1.2857f6p+4
+0x1.091ccep+4
+0x1.46391ap+4
+0x1.94b866p+4
+0x1.81587ap+1
+0x1.2249ap+4
+0x1.6abd8ap+4
+0x1.071d6cp+4
+0x1.fca522p+1
+0x1.43984ap+4
+0x1.24a5e6p+3
+0x1.506086p+3
+0x1.48c3f8p+4
+0x1.638c7ap+4
+0x1.c4556ap+3
+0x1.45a428p+3
+0x1.b119cp+4
+0x1.4bf0aep+4
+0x1.29907ep-1
+0x1.8e3c1ap+4
+0x1.2cba48p+4
+0x1.234efp+4
+0x1.119062p+4
+0x1.311de4p+4
+0x1.849012p+4
+0x1.2ed73ap+3
+0x1.0d7c56p+4
+0x1.b9ce06p+2
+0x1.ada1d2p+4
+0x1.1d9c8cp+2
+0x1.53d27ap+4
+0x1.7e7f12p+1
+0x1.36655ep+4
+0x1.8cd0eap+3
+0x1.9b2428p+4
+0x1.9f258ep+2
+0x1.268f32p+4
+0x1.65fb92p+3
+0x1.3de6fep+4
+0x1.e51c82p+3
+0x1.453866p+4
+0x1.6b4b2cp+4
+0x1.595f54p+4
+0x1.4857dp+4
+0x1.82c694p+4
+0x1.74e10ep+1
+0x1.8a420ep+4
+0x1.00d74ep+4
+0x1.8bf282p+4
+0x1.9bc8p+0
+0x1.e05b3p+3
+0x1.4def9ep+4
+0x1.4f47a6p+3
+0x1.01d8dap+4
+0x1.06ae0ap+2
+0x1.7df834p+4
+0x1.4f116ep+2
+0x1.0c5596p+4
+0x1.f11c34p+1
+0x1.5e43c2p+3
+0x1.6d73f8p+4
+0x1.5bdf44p+4
+0x1.d4377cp+3
+0x1.19796ep+4
+0x1.a1c1fcp+4
+0x1.5566e4p+4
+0x1.5524a8p+3
+0x1.23f5eep+4
+0x1.d4e9ap+2
+0x1.b06c6cp+4
+0x1.0e874ap+2
+0x1.2f5506p+0
+0x1.072632p+4
+0x1.92ba46p+3
+0x1.7cc656p+3
+0x1.175918p+3
+0x1.09f252p+3
+0x1.d253bp+1
+0x1.927ffap+4
+0x1.cfc6ccp+3
+0x1.536da4p+4
+0x1.c7a1ecp+1
+0x1.9c4c66p+0
+0x1.033436p+2
+0x1.f4a556p+3
+0x1.8ebf52p+4
+0x1.5d2d38p+4
+0x1.a9b678p+4
+0x1.dc366cp+3
+0x1.af43bap+4
+0x1.2dfc5ap+2
+0x1.a62a5ep+4
+0x1.8b0736p+4
+0x1.b7314cp+2
+0x1.3f693ap+4
+0x1.1a08e8p+2
+0x1.1b927p+4
+0x1.3b0c08p+4
+0x1.aa9baep+4
+0x1.33402ep-1
+0x1.89bd78p+4
+0x1.bdd564p+3
+0x1.4a02ep+4
+0x1.1ccfd2p+4
+0x1.8e76bp+3
+0x1.6f8962p+4
+0x1.e86a82p+3
+0x1.66e24ap+4
+0x1.cb21cep+1
+0x1.9a1c84p+0
+0x1.64654ep+4
+0x1.a98978p+3
+0x1.9d6436p+3
+0x1.8745ccp+4
+0x1.5fc5aap+4
+0x1.46181ap+3
+0x1.3aed94p+4
+0x1.e2e10cp+2
+0x1.89bc6ap+3
+0x1.08909ap+2
+0x1.afc354p+4
+0x1.283dbp+4
+0x1.474c84p+4
+0x1.2a7348p+3
+0x1.9dacc6p+1
+0x1.52f82ep+4
+0x1.fcb0bep+3
+0x1.096c52p+2
+0x1.1af2e2p+4
+0x1.96a86p+4
+0x1.4ed37ep+4
+0x1.40566ap+4
+0x1.46260ep+2
+0x1.98c954p+4
+0x1.7dcc5p+4
+0x1.80346p+3
+0x1.b96a76p+2
+0x1.1a20d6p+0
+0x1.a3407ep+4
+0x1.94efbep+4
+0x1.a2523cp+4
+0x1.dcf724p+2
+0x1.4fa22ap+1
+0x1.adc8cep+4
+0x1.5358dep+2
+0x1.cba31cp+3
+0x1.1ab116p+3
+0x1.9a5c14p+3
+0x1.71ef8p+4
+0x1.7fd072p+2
+0x1.1b9a68p+4
+0x1.b3d726p+2
+0x1.a2920ep+2
+0x1.0b0d4p-4
+0x1.e32c46p+1
+0x1.5d2578p+4
+0x1.47afaap+3
+0x1.3d0fa8p+4
+0x1.f3b3d4p+0
+0x1.0387bap+3
+0x1.33a74p+4
+0x1.5e947ep+3
+0x1.8d03c4p+3
+0x1.b97e08p+1
+0x1.39f13p+3
+0x1.ae37acp+3
+0x1.ad47c2p+4
+0x1.70c7b8p+4
+0x1.d7a7bep+3
+0x1.b7e882p+1
+0x1.395836p+3
+0x1.63e53ap+4
+0x1.722e3p+4
+0x1.7c13c2p+4
+0x1.bd9246p+3
+0x1.8f9eb2p+4
+0x1.334dacp+3
+0x1.5b26e4p+4
+0x1.d41aeap+2
+0x1.e857eap+3
+0x1.5d6198p+4
+0x1.1b5cb4p+3
+0x1.09721ap+2
+0x1.13423ap+3
+0x1.5f052ap+2
+0x1.8ebeb4p+4
+0x1.b748cp+3
+0x1.4bee82p+3
+0x1.d7b78ap+2
+0x1.2cf17ap+3
+0x1.744272p+4
+0x1.028ea8p+4
+0x1.3d729cp+4
+0x1.3d47f2p+4
+0x1.4ad878p+4
+0x1.0419eap+4
+0x1.ed47a2p+3
+0x1.2e4dc6p+4
+0x1.870012p+4
+0x1.27bdcp+4
+0x1.0c16e2p+4
+0x1.d450e4p+3
+0x1.52145ep+3
+0x1.3b553ap+2
+0x1.0001a2p+4
+0x1.2764acp+3
+0x1.1c7f2cp+3
+0x1.31dfbp+4
+0x1.adbfaap+4
+0x1.0c9cf6p+4
+0x1.3e9eecp+3
+0x1.65470ep+0
+0x1.8bee6ap+4
+0x1.0aba9cp-1
+0x1.3f126ap+3
+0x1.1726bcp-4
+0x1.fcbe9p+1
+0x1.aa881cp+3
+0x1.00bb6p+2
+0x1.b49222p+3
+0x1.7784e4p+4
+0x1.6ed84p+2
+0x1.41515ap+3
+0x1.dca664p+1
+0x1.a7818ap+3
+0x1.6ba3e8p+4
+0x1.379c7ep-2
+0x1.47c254p+1
+0x1.84fe2cp+2
+0x1.a4f578p+4
+0x1.35e49ap+4
+0x1.f7cf2cp+2
+0x1.67b5eap+4
+0x1.a74238p+4
+0x1.5648f2p+3
+0x1.a9324ap+4
+0x1.9e5a1cp+3
+0x1.feacf2p+2
+0x1.a49676p+2
+0x1.96635ap+4
+0x1.e237a6p+1
+0x1.a1804p+4
+0x1.791854p+2
+0x1.2e9876p+4
+0x1.5cb19p+4
+0x1.6fd07p-1
+0x1.340c74p+3
+0x1.33dd16p+3
+0x1.19430cp+4
+0x1.8f0036p+0
+0x1.7c734ap+4
+0x1.8140cep+1
+0x1.c1d324p-2
+0x1.92bc2cp+0
+0x1.3fcc4ep+2
+0x1.553c6cp+2
+0x1.e46996p+3
+0x1.a2516ep+2
+0x1.55e1e4p+4
+0x1.02a966p+3
+0x1.38c136p+3
+0x1.74d28p+3
+0x1.7b75f6p+3
+0x1.6ead82p+4
+0x1.3ef114p+4
+0x1.a73322p+3
+0x1.d94d9ap+3
+0x1.c7d042p+2
+0x1.8775a8p+4
+0x1.adbb28p+4
+0x1.c36ba2p+2
+0x1.0b02b4p+4
+0x1.80b658p+4
+0x1.c7ab0ap+3
+0x1.238a2ep+4
+0x1.1be7cap+4
+0x1.41e804p+4
+0x1.a5c924p+4
+0x1.13be6ap+3
+0x1.9c87aep+4
+0x1.b44834p-2
+0x1.aa9846p+4
+0x1.6ad198p+4
+0x1.a9805ap+2
+0x1.d9e0e2p+3
+0x1.b2de26p+2
+0x1.a36708p+3
+0x1.99cec4p+1
+0x1.8f828ep+3
+0x1.65e94ep+2
+0x1.b8a0bep+3
+0x1.a64bc4p+3
+0x1.f7cdc6p+2
+0x1.e7e746p+3
+0x1.16ff6ep+3
+0x1.82f504p+4
+0x1.58f4f2p+4
+0x1.29f5bep+1
+0x1.5adfcap+4
+0x1.76acacp+4
+0x1.6c11b8p+4
+0x1.9e08b2p+4
+0x1.a51648p+4
+0x1.a880e2p+3
+0x1.22598cp+4
+0x1.500b2ap+4
+0x1.c959b8p+3
+0x1.3b8414p+3
+0x1.1e3e1ap+4
+0x1.af59dp+4
+0x1.d258a2p+3
+0x1.8190ccp+2
+0x1.27b416p+3
+0x1.372354p+4
+0x1.634698p+1
+0x1.b2aa1ap+3
+0x1.33266cp+4
+0x1.3b8c6p-1
+0x1.73de1p+4
+0x1.57ec32p+2
+0x1.68e88cp+4
+0x1.1a7d1cp+4
+0x1.aee534p+2
+0x1.6c4a4p+2
+0x1.6cf098p+4
+0x1.9db678p+2
+0x1.6bf8ep+4
+0x1.9aa9fp+4
+0x1.95ee14p+3
+0x1.00791ep+4
+0x1.7f5068p+1
+0x1.188efcp+4
+0x1.63af44p+4
+0x1.b1571ap+1
+0x1.126b52p+3
+0x1.32bc86p+4
+0x1.17132cp+4
+0x1.92c4cep+3
+0x1.4900bep+2
+0x1.4f4e04p+3
+0x1.247df8p+4
+0x1.037592p+4
+0x1.33481ap+2
+0x1.a0e764p+3
+0x1.6bfd5cp+3
+0x1.748448p+4
+0x1.e65cdap+1
+0x1.1f435ep+1
+0x1.0693d2p+4
+0x1.02a02ep+4
+0x1.3aa24cp+4
+0x1.34a104p+1
+0x1.7ad98ap+4
+0x1.397f36p+2
+0x1.1218a8p+3
+0x1.388b02p+4
+0x1.0b8774p+4
+0x1.731e6ep+1
+0x1.74342ap+4
+0x1.8638d2p+4
+0x1.5b796cp-1
+0x1.4ccd64p+4
+0x1.1e7fc6p+3
+0x1.a2b912p+4
+0x1.af17aep+0
+0x1.09748cp+3
+0x1.554a9cp+1
+0x1.938f6ep+4
+0x1.9b0172p+3
+0x1.daeac4p+3
+0x1.4f5724p+4
+0x1.6c1b8ep+2
+0x1.a6fe46p+2
+0x1.792ef4p+4
+0x1.399f42p+4
+0x1.753868p-1
+0x1.c70864p+0
+0x1.1d9492p+3
+0x1.01f72p+4
+0x1.247abp+4
+0x1.889eecp+3
+0x1.c4db62p+3
+0x1.59b97cp+4
+0x1.2155e8p+2
+0x1.670ec2p+3
+0x1.cb20eap+3
+0x1.10378ep+3
+0x1.b164dcp+0
+0x1.2e1b2ep+1
+0x1.6f8e48p+4
+0x1.55881p+0
+0x1.a75276p+4
+0x1.3e803cp+3
+0x1.030ce2p+4
+0x1.632b9cp+3
+0x1.1a5b6cp+2
+0x1.cc5276p+1
+0x1.6cd4b4p+3
+0x1.026f32p+1
+0x1.4f3bd4p+3
+0x1.22e20ep+4
+0x1.27631ep+4
+0x1.6e181cp+4
+0x1.a1ba68p+3
+0x1.a42044p+1
+0x1.27f332p+2
+0x1.7fab7ep+3
+0x1.45e852p+3
+0x1.a8b82ap+4
+0x1.bcb644p+2
+0x1.b1b7f2p+0
+0x1.20ed6p+4
+0x1.775cb4p+1
+0x1.34092p+0
+0x1.57d602p+4
+0x1.811b06p+4
+0x1.538234p+4
+0x1.a74dfcp+4
+0x1.4649e4p+4
+0x1.2ae074p+4
+0x1.252574p+3
+0x1.8fff84p+2
+0x1.43e7d4p+3
+0x1.2b4e82p+3
+0x1.49736cp+0
+0x1.4d881ep+4
+0x1.a6ca6p+3
+0x1.91742p+4
+0x1.2e1182p+2
+0x1.ffd5bep+1
+0x1.739c28p+1
+0x1.9fb586p+4
+0x1.0fdf2p+4
+0x1.ed3aecp+3
+0x1.a3618ep+1
+0x1.37bcb8p+4
+0x1.fd372ep+3
+0x1.8ee59cp+4
+0x1.db2a4ep+2
+0x1.93a2f8p+3
+0x1.5124dp+4
+0x1.9bcd8cp+4
+0x1.30ebdp+4
+0x1.4bcdc4p+4
+0x1.9eccc8p+3
+0x1.aaa1fep+4
+0x1.0df2acp+4
+0x1.1f673cp+4
+0x1.096e78p+2
+0x1.2efafap+4
+0x1.55273p+4
+0x1.68a412p+4
+0x1.3abe82p+1
+0x1.24464ap+1
+0x1.6823dep+4
+0x1.41baep+4
+0x1.b283ap+4
+0x1.39d778p+2
+0x1.199838p+4
+0x1.1af0e8p+4
+0x1.5faccep+0
+0x1.21aa2ep+4
+0x1.45faap+4
+0x1.5528b6p+4
+0x1.4fcca2p+2
+0x1.690018p+2
+0x1.fce722p+3
+0x1.b0884ap+3
+0x1.73ef0ep+3
+0x1.39415cp+2
+0x1.ebd74ap+2
+0x1.6b0ebcp+4
+0x1.e65568p+3
+0x1.941198p+4
+0x1.8e3516p+2
+0x1.a4a1ecp+3
+0x1.ae64dap+4
+0x1.289174p+3
+0x1.9decbcp+4
+0x1.4be592p+3
+0x1.e4a8e8p+0
+0x1.67bb52p+4
+0x1.34c078p+3
+0x1.2a1edp+4
+0x1.7ef712p+4
+0x1.32e3b6p+4
+0x1.16e44p+4
+0x1.02045ep+4
+0x1.6c9eep+2
+0x1.4a10b6p+4
+0x1.e55e66p+2
+0x1.1551f4p+4
+0x1.54ebe6p+4
+0x1.2802b2p+4
+0x1.5b8074p+4
+0x1.bfd058p+3
+0x1.92ad32p+3
+0x1.34ebb2p+2
+0x1.674eacp+4
+0x1.8a9042p-3
+0x1.3b010ap+2
+0x1.ea60eap+2
+0x1.3e94ccp+4
+0x1.8ecbeep+2
+0x1.cfe19ep+2
+0x1.643fb2p+4
+0x1.fa120ep+1
+0x1.a327eep+1
+0x1.87f016p+4
+0x1.486a32p+4
+0x1.3bb632p+4
+0x1.478e42p+3
+0x1.bdaabap+2
+0x1.363a0cp+3
+0x1.400efap+4
+0x1.0a4234p+4
+0x1.5d6ccap+3
+0x1.476076p+2
+0x1.10005cp+4
+0x1.70c898p+3
+0x1.1839aep+4
+0x1.f315eap+2
+0x1.262fbcp+3
+0x1.29083p+3
+0x1.f234f2p+1
+0x1.ed935cp+3
+0x1.29a61ap+4
+0x1.a3ddap+4
+0x1.9162aep+4
+0x1.79ec9p+3
+0x1.4b69f6p+3
+0x1.29f4d2p+0
+0x1.f4bdb2p+3
+0x1.72d726p+4
+0x1.a8666p+4
+0x1.ebf672p+3
+0x1.968288p+4
+0x1.9c294ep+2
+0x1.d2026ep+3
+0x1.81c8bep+4
+0x1.007816p+3
+0x1.35f9e6p+3
+0x1.f4da7cp+3
+0x1.ee2a4ap+1
+0x1.344054p+3
+0x1.0d68f4p+0
+0x1.61e6f8p+4
+0x1.4d575ep+4
+0x1.2090bp+4
+0x1.f0a772p+2
+0x1.85896ep+2
+0x1.1a605ep+4
+0x1.49a89p+3
+0x1.0c10c2p+4
+0x1.4e097cp+4
+0x1.498384p+4
+0x1.67e51ap+4
+0x1.12758ap+3
+0x1.7f1282p+2
+0x1.9ebc98p+4
+0x1.03f56ep+4
+0x1.93c8bap+3
+0x1.9f3d14p+4
+0x1.6b7664p+3
+0x1.613dc8p+3
+0x1.4fef78p+4
+0x1.71f408p+4
+0x1.af91ep+4
+0x1.475ba6p+4
+0x1.a20db8p+4
+0x1.d571fep+3
+0x1.d5c448p+1
+0x1.3d8bf6p+4
+0x1.fa5dccp+1
+0x1.896a64p+3
+0x1.886f92p+3
+0x1.3a264ep+4
+0x1.7b603cp+4
+0x1.42258ap+2
+0x1.1f5372p+2
+0x1.20e4ccp+3
+0x1.7bb282p+4
+0x1.2944a8p+4
+0x1.ff22bep+3
+0x1.24c052p+4
+0x1.70f678p+2
+0x1.a116bap+4
+0x1.f960bap+2
+0x1.653e56p+4
+0x1.b07e0ap+2
+0x1.bd1dacp+3
+0x1.0683bep+0
+0x1.f7a63ap+0
+0x1.a375bap+4
+0x1.78e956p+3
+0x1.b85192p+3
+0x1.07f27ep+4
+0x1.26effcp+4
+0x1.cf3c0ep+2
+0x1.cfcc02p+3
+0x1.ad3a54p+1
+0x1.041f8ap+4
+0x1.ba3ebep+0
+0x1.7943ecp+4
+0x1.82a56ep+4
+0x1.74fb16p+4
+0x1.7e3a4cp+4
+0x1.b97fd2p+2
+0x1.303e4cp+4
+0x1.6fcd82p+4
+0x1.9b44f6p+3
+0x1.6c7a7ep+2
+0x1.28e93ep+4
+0x1.99aa7cp+4
+0x1.f8dc56p+2
+0x1.bfeb12p+1
+0x1.411f6cp+4
+0x1.a7bba8p+3
+0x1.b14bcap+3
+0x1.3b2b02p+4
+0x1.de123ap+1
+0x1.a7dec2p+2
+0x1.afc1p+4
+0x1.21c7dcp+1
+0x1.75f166p+1
+0x1.736a6p+4
+0x1.c029e6p+1
+0x1.f2f926p+1
+0x1.3f0832p+4
+0x1.8ba4a6p+4
+0x1.c93714p+3
+0x1.87f792p+2
+0x1.b69486p+3
+0x1.2a8d6ep+3
+0x1.f61a78p+3
+0x1.af8366p+4
+0x1.919b7p+4