diff --git a/benchtests/Makefile b/benchtests/Makefile
index 65faacd448..e0f8964740 100644
--- a/benchtests/Makefile
+++ b/benchtests/Makefile
@@ -30,6 +30,7 @@ bench-math := \
   asin \
   asinf \
   asinh \
+  asinhf \
   atan \
   atan2 \
   atanh \
diff --git a/benchtests/asinhf-inputs b/benchtests/asinhf-inputs
new file mode 100644
index 0000000000..2d2c747caf
--- /dev/null
+++ b/benchtests/asinhf-inputs
@@ -0,0 +1,303 @@
+## args: float
+## ret: float
+## includes: math.h
+0x1.408fb6p-11
+0x1.f07634p-23
+-0x1.681574p+4
+-0x1.87cc26p+16
+-0x1.ad3df6p+24
+0x1.90f146p-67
+-0x1.60b106p+71
+-0x1.5997c2p+82
+-0x1.2cb314p+15
+-0x1.ec8822p+66
+0x1.43a1dp+109
+-0x1.2b43c4p+47
+0x1.f11c08p+7
+0x1.f5efb2p+56
+-0x1.405cf4p-13
+-0x1.fa64c4p+43
+0x1.a98724p-13
+-0x1.5743f4p+10
+0x1.042972p-17
+0x1.d4cda6p-2
+0x1.ec1e88p+97
+-0x1.6a4cd4p-24
+0x1.da85d4p-10
+0x1.c068c2p-17
+-0x1.b3e2d2p-1
+-0x1.ac8a62p+21
+-0x1.e28e32p-1
+-0x1.e70636p+65
+0x1.984146p+20
+-0x1p-149
+-0x1.a85244p-23
+0x1.92e48p+108
+-0x1.564bap-7
+0x1.c36c12p+20
+0x1.4723d6p-26
+-0x1.43c154p-11
+0x1.6d46e8p+13
+0x1.756f26p-26
+-0x1.722688p+22
+0x1.55848p+15
+0x1.ef097p-3
+0x1.201576p+106
+-0x1.3a0f66p-25
+-0x1.c833f2p-25
+-0x1.a0ea72p-118
+-0x1.d2dde8p+13
+-0x1.996508p+25
+0x1.d36f14p-16
+0x1.445234p-2
+0x1.cd7442p+15
+-0x1.c0b664p-1
+0x1.a2e0fp-25
+-0x1.fcf5cp-22
+-0x1.af38a6p-21
+-0x1.9ec218p+1
+0x1.57ap-96
+0x1.6c1b62p-113
+0x1.afb5cp+6
+-0x1.f92674p+16
+-0x1.9b5ba6p+10
+0x1.3975fp+10
+0x1.36b912p+5
+0x1.8946b6p+10
+-0x1.efbb62p+24
+0x1.f3de86p-8
+0x1.8ec222p+25
+-0x1.ac03e6p+22
+-0x1.6d9d94p+23
+0x1.980734p-10
+0x1.0f8046p+26
+0x1.fe8cd6p-16
+-0x1.51c184p-26
+-0x1.74b0f4p+20
+-0x1.d30da6p+18
+0x1.749736p+15
+0x1.253dap+19
+-0x1.271442p+68
+-0x1.18932p+26
+-0x1.a3p-140
+0x1.ce7246p-24
+0x1.30dcfp+42
+-0x1.1a179p+77
+0x1.324226p-26
+-0x1.b58904p+11
+0x1.019a86p+18
+0x1.0e9cc4p-14
+0x1.bc8ff8p+18
+-0x1.235a46p+25
+0x1.0b2c88p+23
+0x1.c71796p-9
+0x1.daff1p+25
+-0x1.b14b12p+5
+0x1.6e8a94p-94
+0x1.778806p+23
+0x1.6120d8p+123
+0x1.1154e2p-24
+0x1.eb2842p+48
+-0x1.b9faa2p+9
+-0x1.a61574p+89
+-0x1.835384p+56
+0x1.1fb4bp-3
+-0x1.e440c4p-19
+-0x1.1e714p+22
+-0x1.1821bp-16
+-0x1.5de4c2p-24
+-0x1.c1e5c8p+25
+0x1.f0b1d4p+18
+-0x1.450ff2p+88
+0x1.234384p+0
+-0x1.82be44p+14
+-0x1.5c702p+3
+0x1.7e2132p-15
+0x1.548736p-14
+0x1.4a1634p+4
+0x1.ad443p-51
+-0x1.732c5p-2
+0x1.929ba2p-17
+0x1.a026bp+12
+-0x1.fa4e78p-12
+-0x1.3a2ac2p+5
+0x1.0c4a8p-20
+-0x1.1c57b4p+25
+-0x1.2c1b5p+26
+-0x1.c7cddp-26
+0x1.3d88b2p+8
+-0x1.1583f2p+118
+0x1.295d66p+111
+-0x1.3dc8c2p-3
+-0x1.4dc714p+103
+-0x1.380836p+89
+-0x1.adf416p+2
+-0x1.39131p-16
+0x1.8c9156p-2
+-0x1.d67f74p+11
+0x1.218c06p+95
+0x1.4c1e32p+7
+0x1.395462p+5
+-0x1.a311a8p-12
+0x1.f07b96p+9
+-0x1.087452p-13
+0x1.38f122p+95
+0x1.8c9c96p-5
+-0x1.3353e4p+91
+0x1.945a2p+4
+0x1.a7a936p+22
+-0x1.946866p-20
+0x1.001d96p+94
+-0x1.5146c4p-22
+0x1.ffab14p+108
+-0x1.3d5082p-8
+0x1.84a7b4p+4
+0x1.73af94p-6
+0x1.3ac9b8p+35
+0x1.dafd98p+13
+0x1.91bc32p+118
+-0x1.531fa4p+88
+0x1.95c326p+20
+-0x1.012142p-2
+-0x1.eb454p+20
+0x1.9c4716p-24
+-0x1.242df2p+17
+-0x1.2d1fc8p-27
+0x1.161fd6p+120
+-0x1.3aaa34p-85
+0x1.9e1132p+22
+-0x1.a838bp+5
+0x1.8b1a04p+7
+-0x1.eb717p+94
+-0x1.d16676p-6
+0x1.2a5702p+67
+-0x1.5ea094p+93
+-0x1.2545b8p-3
+-0x1.e47c9ep+33
+0x1.af0954p-18
+-0x1.8d4bc4p+6
+-0x1.8d5644p-9
+0x1.993a64p+12
+0x1.bec162p+13
+0x1.f0a22p-44
+0x1.9eb0b2p-53
+-0x1.0cdae2p+22
+0x1.21efa2p+12
+-0x1.cf1532p+19
+-0x1.a043f6p-16
+0x1.816c4p-15
+0x1.e23b96p-21
+0x1.a08304p+2
+-0x1.52e49p+61
+0x1.f73a3p+16
+-0x1.130406p+66
+0x1.f5b952p+70
+0x1.661d76p+13
+0x1.7bb568p+94
+0x1.3e14e8p-20
+-0x1.1134p-25
+0x1.c4d6p-134
+-0x1.731bc8p+7
+-0x1.079c16p+69
+0x1.e6879p-28
+-0x1.d3bee2p+25
+0x1.c3b5fp+24
+0x1.667d7p-6
+0x1.c780d2p-26
+-0x1.df8fd4p+27
+0x1.894942p+79
+-0x1.ea95p-132
+-0x1.043668p+11
+0x1.75f126p+5
+0x1.0a46e4p+20
+-0x1.92c338p-4
+0x1.5c2cb4p+29
+0x1.07f7c2p-15
+0x1.c64b82p+82
+0x1.13f4d4p+8
+0x1.bde9c4p-15
+0x1.9e0706p+118
+-0x1.dd8c12p-16
+-0x1.e04d92p+20
+-0x1.c0f2e2p+10
+0x1.55a4c6p+3
+-0x1.7b0c92p+33
+-0x1.ed8bb6p+24
+0x1.5cc29p-18
+-0x1.b688c6p-3
+-0x1.24p-142
+0x1.650442p+54
+-0x1.0d1c66p+118
+-0x1.54e358p+118
+-0x1.6165d6p-120
+0x1.7e0ba8p+7
+0x1.d13958p+43
+-0x1.40cc42p+19
+0x1.0db7e6p-8
+-0x1.874102p-9
+-0x1.d0f466p+18
+0x1.d1e8b2p-19
+0x1.979982p-21
+0x1.257674p+22
+-0x1.1f02e2p+14
+-0x1.77bab2p-13
+0x1.25c508p+8
+-0x1.306186p+26
+-0x1.ad6e86p+87
+0x1.f389b4p-13
+0x1.08fa94p+10
+-0x1.b65bfp-24
+-0x1.cbb5f2p+82
+0x1.a32cd4p+2
+-0x1.a83fdp-25
+0x1.8184a2p+46
+0x1.61c962p-87
+0x1.b12c02p+15
+-0x1.16a4a6p-17
+-0x1.5658b2p-9
+-0x1.8c5564p-14
+-0x1.fd7e32p-23
+-0x1.1106a6p-18
+0x1.981092p+21
+0x1.dbd636p+6
+0x1.4a16p-16
+-0x1.2fd682p+111
+-0x1.28f5b6p+12
+0x1.64c6a4p+54
+0x1.97ae6p+22
+-0x1.d61a76p-25
+0x1.a4c672p-27
+0x1.b56992p+89
+0x1.1bf042p-28
+-0x1.1b9502p-25
+-0x1.a94006p+105
+-0x1.78bd68p+20
+0x1.96d32p+8
+0x1.f8277p+19
+0x1.ee0726p-28
+0x1.93d4c2p+80
+0x1.d69c26p-3
+-0x1.36c31p-26
+-0x1.7bbce6p+19
+0x1.5a90f2p-14
+-0x1.194fep+106
+0x1.2e9a4p+109
+-0x1.c566e4p-14
+0x1.f91784p-24
+0x1.a966a2p+101
+-0x1.6d5eb4p-20
+0x1.c1a0dp+27
+0x1.958fd2p-24
+-0x1.c738b6p+4
+0x1.91bf34p+85
+-0x1.66e0a8p+99
+-0x1.dd6e42p+42
+-0x1.6e16fep+55
+-0x1.f62596p-1
+-0x1.63e026p+67
+0x1.c5fb92p+8
+-0x1.d7e512p+91
+0x1.0eec26p+27
+0x1.342f36p+82
+-0x1.6ffad2p+109
+-0x1.5b10bp-21