diff --git a/benchtests/Makefile b/benchtests/Makefile
index 3ad6eab4ff..c78704cfe2 100644
--- a/benchtests/Makefile
+++ b/benchtests/Makefile
@@ -54,6 +54,7 @@ bench-math := \
   exp2f \
   expf \
   expm1 \
+  expm1f \
   fmax \
   fmaxf \
   fmin \
diff --git a/benchtests/expm1f-inputs b/benchtests/expm1f-inputs
new file mode 100644
index 0000000000..7659e06f7a
--- /dev/null
+++ b/benchtests/expm1f-inputs
@@ -0,0 +1,798 @@
+## args: float
+## ret: float
+## includes: math.h
+# Random inputs in [a=-0x2.56e110e4641c4p+4,b=0x2.c5c85fdf473ep+8]
+# where a is the smallest number such that expm1 does not round to -1
+# and b is the smallest number such that expm1 rounds to +Inf (to nearest)
+0x1.a2512cp+8
+0x1.6511fcp+8
+0x1.5c7758p+9
+0x1.0de846p+9
+-0x1.097cep+4
+0x1.f71bccp+8
+0x1.50fb84p+8
+0x1.da375ap+8
+0x1.734f94p+5
+0x1.09fc2ap+7
+0x1.f33a44p+7
+0x1.1aa2d4p+9
+0x1.53be0ep+8
+0x1.5f6cap+8
+0x1.b1a81cp+7
+0x1.6ee044p+5
+0x1.225d8cp+9
+0x1.d6674ep+7
+0x1.11f2b8p+9
+0x1.36ac4p+9
+0x1.ab6ac2p+8
+0x1.5172e2p+9
+0x1.893dep+4
+-0x1.55456ep+4
+0x1.0b9cb8p+9
+0x1.d94c9cp+7
+0x1.369e66p+8
+0x1.8fe9fap+8
+0x1.a49b86p+8
+0x1.a40ca8p+8
+0x1.b02e1cp+8
+0x1.5f80f4p+8
+0x1.c3bc4ep+6
+0x1.233fb6p+8
+0x1.bae4b8p+8
+0x1.60a4e4p+8
+0x1.552134p+7
+0x1.318912p+8
+0x1.3240acp+8
+-0x1.c36d1p+4
+0x1.76883cp+6
+0x1.173fbep+9
+0x1.4e731ap+9
+0x1.ed519p+8
+0x1.4a423ap+9
+-0x1.1a036cp+5
+0x1.868a2p+7
+0x1.7abde6p+7
+0x1.b4fedcp+5
+0x1.487264p+8
+0x1.146f8cp+9
+0x1.2d09f8p+8
+0x1.2d75fp+9
+0x1.388194p+9
+0x1.762e2cp+7
+0x1.5e9bcep+9
+0x1.4fb55cp+9
+0x1.8d5b7cp+4
+0x1.be984cp+2
+0x1.431c26p+5
+0x1.33f9a8p+9
+0x1.23585ap+9
+0x1.0a43ep+8
+0x1.e74ba2p+8
+0x1.46e7d4p+9
+0x1.3a1ce6p+7
+0x1.8d4456p+5
+0x1.ed72e2p+5
+0x1.56892ep+9
+0x1.2c1276p+5
+0x1.5a8ec2p+7
+0x1.5422fap+9
+0x1.19bd7cp+9
+0x1.a1126cp+7
+0x1.50a89ep+5
+0x1.1090c6p+9
+0x1.be8058p+8
+0x1.94cba2p+8
+0x1.a91196p+8
+0x1.01285p+9
+0x1.8878eap+7
+0x1.35bd4ep+7
+0x1.46dc18p+8
+0x1.9851e4p+8
+0x1.7c0f6ap+7
+0x1.538a3cp+9
+0x1.4035f8p+9
+0x1.dd305ep+5
+-0x1.2249dep+4
+0x1.15bedep+9
+0x1.3601dcp+4
+0x1.c02ceep+8
+0x1.5f109ap+5
+0x1.51d766p+8
+0x1.f3477ep+7
+0x1.4c74aep+9
+0x1.580f1cp+8
+0x1.f62b28p+6
+0x1.0fb8a4p+4
+0x1.32f56ep+9
+0x1.ce977p+8
+-0x1.226adcp+5
+-0x1.5017d8p+3
+0x1.6b0e9cp+8
+0x1.d0e0aap+8
+0x1.4d7d46p+9
+0x1.018a44p+1
+0x1.0c98fcp+9
+0x1.2fdbd4p+3
+0x1.b80658p+8
+0x1.1df1ccp+9
+0x1.128bdcp+8
+0x1.2fb842p+9
+0x1.40748ap+9
+0x1.019fp+9
+0x1.082122p+9
+0x1.3f20e6p+2
+0x1.e1166ap+8
+0x1.a014d4p+7
+0x1.f89c0ep+6
+0x1.58af82p+9
+0x1.0a5b8ap+9
+0x1.0151d2p+6
+0x1.9f4f88p+6
+-0x1.277536p+2
+0x1.a0353p+8
+0x1.98f45cp+8
+0x1.9f0134p+8
+0x1.5b31acp+9
+0x1.6adddap+7
+0x1.c1ee1cp+8
+0x1.3d338ep+8
+0x1.7ba358p+8
+0x1.7d8724p+8
+0x1.100ccp+9
+0x1.cda6fap+8
+0x1.a162e6p+6
+0x1.225422p+9
+0x1.3448aep+9
+0x1.0af73ep+8
+0x1.51b1b2p+9
+0x1.a83f64p+5
+0x1.366648p+6
+0x1.abd5d2p+8
+0x1.591a78p+9
+0x1.8c07ecp+8
+0x1.4fefb2p+9
+0x1.9517d8p+5
+0x1.177dcep+9
+0x1.5f457ep+8
+0x1.2f091ep+7
+0x1.092afp+9
+0x1.70be24p+8
+0x1.654278p+6
+0x1.23ae56p+9
+0x1.9bec6ep+8
+-0x1.9be476p+4
+0x1.558a7cp+3
+0x1.40368cp+8
+0x1.585608p+9
+0x1.5b0a82p+8
+0x1.a1fd74p+7
+0x1.10ff3p+5
+0x1.e73afcp+8
+0x1.e688c6p+8
+0x1.a9efd4p+3
+0x1.2c9516p+9
+0x1.32b578p+9
+0x1.221474p+9
+0x1.461edap+7
+0x1.4a3bfp+5
+0x1.93d0c2p+8
+-0x1.0c7a94p+2
+0x1.cf14dap+8
+0x1.a69734p+7
+0x1.5f596cp+6
+0x1.cc8dfep+8
+0x1.54d9e8p+8
+0x1.b6bd5ep+1
+0x1.364ep+9
+0x1.d8f7b8p+8
+0x1.0626c4p+9
+0x1.4fe85cp+7
+0x1.5ee97ap+8
+0x1.3e0e44p+9
+0x1.05e7eep+9
+0x1.7c0762p+6
+0x1.71080ap+4
+0x1.2fed1cp+9
+0x1.467c3ep+8
+-0x1.209736p+5
+0x1.1e0f32p+9
+0x1.a4f124p+7
+0x1.6a85e6p+8
+0x1.97e456p+8
+0x1.bd2b4ap+3
+-0x1.05b968p+5
+0x1.d9ac78p+8
+0x1.da30bap+7
+0x1.4380c6p+6
+0x1.0c53a6p+9
+0x1.9cf18cp+8
+0x1.603dap+8
+0x1.004586p+7
+-0x1.637536p+2
+0x1.ef07aep+5
+0x1.31ae7p+8
+0x1.a31d04p+8
+0x1.3eb688p+9
+0x1.c4562ep+7
+0x1.4fdea8p+8
+0x1.bf07d2p+8
+0x1.bf578p+5
+0x1.2823b2p+9
+0x1.417c7ep+9
+0x1.3e5b3cp+8
+0x1.4175c6p+6
+0x1.a578b8p+8
+0x1.c496bcp+6
+0x1.10ac3ap+7
+0x1.5d7ff8p+9
+0x1.0b3872p+9
+0x1.583ffp+6
+0x1.23865ep+9
+0x1.539bacp+7
+0x1.27067p+9
+0x1.6ed264p+7
+0x1.2e5b44p+9
+-0x1.bfeff2p+1
+0x1.ed48bap+8
+0x1.46a0f4p+9
+0x1.99c632p+7
+0x1.e63398p+7
+0x1.2b2d32p+7
+0x1.1b9a4p+3
+0x1.e744fep+6
+0x1.3599bcp+8
+0x1.67319p+8
+0x1.50ac9cp+9
+0x1.adf58cp+8
+0x1.202e0ep+9
+0x1.4dca8p+9
+0x1.50dfp+9
+0x1.69a3fap+8
+0x1.440d76p+8
+0x1.2e7af2p+5
+0x1.e1272ep+6
+0x1.ca3ca6p+7
+0x1.409172p+5
+0x1.517374p+8
+0x1.031532p+7
+0x1.f5895ep+8
+0x1.a7fda6p+8
+0x1.0a7128p+9
+0x1.0b5512p+9
+0x1.0e6fc4p+8
+-0x1.8bed2p+3
+0x1.0cbf46p+7
+0x1.33107ap+9
+0x1.0515d4p+9
+0x1.564002p+9
+0x1.44727p+9
+0x1.64ca4ep+7
+0x1.aac79ep+7
+-0x1.7b73f6p+4
+0x1.6bd9d2p+8
+0x1.080532p+7
+0x1.c26dep+8
+0x1.039068p+9
+0x1.a0ebdp+7
+0x1.543f9p+9
+0x1.68ffc8p+8
+0x1.162d7p+9
+0x1.22aaf6p+9
+0x1.e2f462p+7
+0x1.cec09ap+7
+0x1.9786bep+7
+0x1.5f1ab6p+7
+0x1.f96c78p+8
+0x1.2a9c02p+6
+0x1.244adcp+8
+0x1.34be02p+6
+0x1.4233fp+7
+0x1.6a0fc8p+7
+0x1.0524cap+9
+0x1.b98c58p+7
+0x1.72384ep+8
+0x1.57f02cp+8
+0x1.9e602p+7
+0x1.042498p+6
+0x1.a7bfc8p+8
+0x1.6e5766p+7
+0x1.56544p+9
+0x1.9eadd8p+8
+0x1.56193p+9
+0x1.30ab18p+9
+0x1.77eea6p+7
+0x1.38221p+6
+0x1.4d2d14p+9
+0x1.907adp+8
+0x1.ce5baap+8
+0x1.b2adfap+8
+0x1.d9c936p+7
+0x1.0abde6p+9
+0x1.59e0f8p+9
+0x1.a6f99cp+8
+0x1.a02798p+7
+0x1.cee04p+5
+0x1.e3be48p+7
+0x1.f7adcap+7
+0x1.28f1aap+6
+0x1.93f2e2p+8
+0x1.52f512p+9
+0x1.b1934p+8
+0x1.f0ffc8p+3
+0x1.4ca1p+5
+0x1.b5bcf8p+7
+0x1.d5891ep+8
+0x1.1174bap+8
+0x1.ef02a4p+7
+0x1.bda2ep+8
+-0x1.dff89ep+2
+0x1.c60c0cp+5
+0x1.f1e1ccp+8
+0x1.272686p+8
+0x1.cc80fp+8
+0x1.871912p+8
+0x1.3ae9e2p+8
+0x1.7cb6bap+5
+0x1.088f32p+9
+0x1.4baab4p+9
+0x1.0c201ep+7
+0x1.dd5f7ap+8
+0x1.118a98p+8
+0x1.a57ecep+8
+0x1.0afde8p+9
+0x1.eb5a7cp+6
+0x1.35cafp+5
+0x1.25d84ap+8
+0x1.481f6p+9
+0x1.0f913ep+9
+0x1.44f298p+9
+0x1.f21894p+8
+0x1.553766p+9
+0x1.2cf148p+6
+0x1.03da46p+9
+0x1.987f4cp+8
+0x1.f293a4p+8
+0x1.3e60aep+9
+0x1.3f6e44p+7
+0x1.72a28cp+7
+0x1.01bf66p+7
+-0x1.2a2f68p+2
+0x1.9ff0eap+7
+0x1.54764cp+8
+0x1.526be2p+8
+0x1.ae17e4p+7
+0x1.8a1eap+6
+0x1.cbfc96p+7
+0x1.4c2cd6p+9
+0x1.5ec422p+8
+0x1.1a0036p+9
+0x1.315ac4p+8
+0x1.608a52p+9
+0x1.4e6dd8p+9
+0x1.b7128p+8
+0x1.2f0eaap+6
+0x1.597c52p+8
+0x1.2b65ecp+9
+0x1.9de4d2p+6
+0x1.0b05fp+8
+0x1.6b1f8p+2
+0x1.db7108p+8
+0x1.d1f9aep+7
+0x1.4c2e52p+8
+0x1.c38d5cp+7
+0x1.5068cap+8
+0x1.13f686p+9
+0x1.51034p+7
+0x1.58558ap+9
+-0x1.8a432ap+3
+0x1.9ee9e6p+8
+0x1.ce283cp+8
+0x1.2f2678p+8
+0x1.103c36p+9
+0x1.4e9046p+8
+0x1.9f91a4p+8
+0x1.ceedfcp+8
+-0x1.49f834p+2
+0x1.23b5e2p+4
+0x1.5e100ep+8
+0x1.d0317ap+8
+0x1.b0b8c6p+7
+0x1.8fd8b6p+6
+0x1.64efacp+7
+0x1.a776cp+8
+0x1.615a76p+8
+0x1.594c34p+7
+0x1.2111b6p+7
+0x1.b5959ep+7
+0x1.07f714p+9
+0x1.c45e2p+7
+0x1.26d84cp+9
+0x1.97c0dcp+8
+0x1.53e214p+6
+-0x1.04a368p+5
+0x1.597c52p+7
+0x1.131bbep+9
+0x1.9294a2p+7
+0x1.088e2p+8
+0x1.2ef304p+9
+0x1.2d45d4p+9
+0x1.12849cp+9
+0x1.1cf79p+9
+0x1.042962p+7
+0x1.33da98p+9
+0x1.ffe606p+8
+0x1.7d245cp+8
+0x1.8687b6p+7
+0x1.55f9f8p+6
+0x1.4ac76cp+9
+0x1.f924p+7
+0x1.c756d2p+8
+0x1.d7c5bcp+7
+0x1.57db9ap+9
+0x1.052578p+9
+0x1.e4c8ep+8
+0x1.9f3cp+6
+0x1.aec406p+8
+0x1.8b647p+7
+0x1.4a32bp+8
+0x1.5e120ap+9
+-0x1.240eeep+5
+0x1.4e356ap+6
+0x1.22f646p+9
+0x1.8aeddap+8
+0x1.a6503p+6
+0x1.2fd4e4p+6
+0x1.24c576p+9
+0x1.6439e6p+8
+0x1.493092p+8
+0x1.7a8e86p+8
+0x1.bc6844p+5
+0x1.7d1596p+6
+0x1.20e064p+9
+0x1.3590f8p+9
+0x1.f6d304p+7
+0x1.842ddep+8
+0x1.1c1bd8p+9
+0x1.b4a42cp+8
+0x1.1502c6p+8
+0x1.3999aap+9
+0x1.c0385ep+0
+0x1.8d52e2p+8
+0x1.b58a3ap+7
+0x1.b0b808p+6
+0x1.f0705ap+8
+0x1.0d079p+4
+0x1.f1498ap+8
+0x1.464e4p+9
+0x1.2ab94ep+9
+0x1.596b48p+9
+0x1.4ce006p+9
+0x1.09e6f6p+9
+0x1.fecf6ap+6
+0x1.523f24p+9
+0x1.6ba32cp+4
+0x1.e660e4p+5
+0x1.5c2ae4p+8
+0x1.37d71cp+8
+0x1.4a39c4p+9
+0x1.84142p+8
+0x1.9befeap+4
+0x1.6f6cdp+6
+0x1.35f12ep+8
+0x1.7771cp+7
+0x1.3bf9fap+6
+0x1.4d44fap+8
+0x1.5d1dfcp+9
+0x1.e95bb4p+7
+0x1.a37f1p+8
+0x1.0c30ap+9
+0x1.2d0876p+8
+0x1.d8b9eap+8
+0x1.58329ap+9
+-0x1.8490cep+4
+0x1.0278d4p+8
+0x1.2ef052p+8
+0x1.2571b8p+6
+0x1.4297f4p+9
+0x1.9837d2p+3
+0x1.9130dcp+7
+0x1.25a5b8p+9
+0x1.22cfap+9
+0x1.37dccap+7
+0x1.a0168ap+7
+0x1.5c7736p+9
+0x1.43690ap+9
+0x1.fb9944p+7
+0x1.ae9a46p+7
+0x1.0adc5p+8
+0x1.f154f4p+4
+0x1.6de3e2p+8
+0x1.0479f6p+7
+-0x1.b927c6p+2
+0x1.95f206p+6
+0x1.47766ap+9
+-0x1.749ddp+4
+0x1.6d7d64p+8
+0x1.0cf238p+9
+0x1.c1eee2p+6
+0x1.bc79f8p+8
+0x1.70ded2p+7
+0x1.01981p+9
+0x1.51587ap+9
+0x1.18931p+9
+0x1.4d0172p+7
+0x1.77daa6p+8
+0x1.c9a8b4p+8
+0x1.d40322p+7
+0x1.fdaa86p+8
+0x1.10987ap+9
+0x1.c2c0c6p+8
+0x1.1bf1e4p+9
+0x1.82e12p+8
+0x1.b6438ap+7
+0x1.2c97dap+8
+0x1.08c2e4p+7
+0x1.58e95ap+7
+0x1.461152p+9
+0x1.3b92eep+6
+0x1.6208b2p+9
+0x1.24ee6p+3
+0x1.f88ac8p+6
+0x1.e52f1p+8
+0x1.6e1988p+7
+0x1.24e15ap+9
+0x1.3a0264p+9
+0x1.00575ap+9
+0x1.6124b2p+8
+0x1.84a198p+7
+0x1.1cf0f6p+8
+0x1.abc908p+8
+0x1.3bef5p+8
+0x1.1c7fb2p+7
+0x1.62c652p+8
+0x1.1fac74p+9
+0x1.54008cp+8
+0x1.f47aeep+6
+0x1.af812ep+7
+0x1.aba90ap+6
+0x1.ebd2cp+7
+0x1.e08aa8p+7
+0x1.865c84p+7
+-0x1.3639b8p+4
+0x1.06436ap+9
+0x1.77587p+8
+0x1.064c88p+8
+0x1.27215p+9
+0x1.a1af72p+8
+0x1.d38596p+8
+0x1.652b68p+8
+0x1.a11a0cp+5
+0x1.ef22eap+8
+0x1.294becp+8
+0x1.add724p+7
+0x1.15df9p+9
+0x1.072632p+8
+0x1.12382cp+7
+0x1.a796e8p+8
+-0x1.0614ep+4
+0x1.3313fep+9
+0x1.31192p+7
+0x1.b1634p+6
+0x1.59dbb8p+7
+0x1.1df172p+9
+0x1.699592p+8
+0x1.60db12p+7
+0x1.04884ap+9
+0x1.62949cp+9
+0x1.80ddb8p+6
+0x1.142b8p+8
+0x1.4a91fcp+5
+0x1.b3aa7ep+8
+0x1.11d738p+9
+0x1.a40f94p+8
+0x1.c2c892p+6
+0x1.7ef94cp+7
+0x1.5e2ef6p+7
+0x1.047bd6p+7
+0x1.61ef2cp+7
+0x1.188756p+8
+0x1.d2809p+8
+0x1.fb198ep+7
+0x1.d47f7p+8
+0x1.e7e7cep+8
+0x1.61f376p+9
+0x1.f16272p+8
+0x1.11c0cap+8
+0x1.1aeb0ap+9
+0x1.5a561p+9
+0x1.286c1ap+6
+0x1.0d5864p+7
+0x1.86cdb8p+5
+0x1.becfdep+8
+0x1.d613c6p+8
+0x1.0b4c72p+9
+-0x1.6cb614p+1
+0x1.420fap+9
+0x1.5a9ea6p+9
+0x1.2dfb2p+9
+0x1.86bc32p+8
+-0x1.0c98c6p+5
+0x1.4a8d76p+9
+0x1.06288ap+9
+0x1.716c14p+8
+0x1.38510ap+9
+0x1.676b22p+8
+0x1.679f16p+7
+0x1.859456p+7
+0x1.40977ap+9
+0x1.9f8f38p+8
+0x1.580766p+5
+0x1.30949ap+8
+0x1.ae2e6p+8
+0x1.5435a4p+9
+-0x1.95e494p+4
+0x1.a4a0fap+6
+0x1.63d106p+8
+0x1.c9fbp+8
+0x1.46dc1ap+7
+0x1.9958cp+8
+0x1.3ade12p+9
+0x1.0ea578p+6
+0x1.f76f78p+7
+0x1.5c290cp+7
+0x1.26e8dp+8
+0x1.1049ap+7
+0x1.3d51cap+9
+0x1.71fd9cp+5
+0x1.ca40a8p+8
+0x1.4554e6p+6
+0x1.af86d4p+8
+0x1.b71b14p+7
+0x1.4350aap+8
+0x1.da4ff2p+8
+0x1.103fb4p+9
+0x1.6db11ap+7
+0x1.317556p+8
+0x1.2d9808p+3
+0x1.47843ap+8
+0x1.ad7a88p+7
+0x1.3fb09ep+7
+0x1.84fc86p+8
+0x1.66f526p+8
+0x1.72d67ep+4
+0x1.0bc25ep+8
+0x1.df9feep+5
+0x1.260faep+9
+0x1.5779fp+9
+0x1.421bf6p+8
+0x1.8ce2fap+8
+0x1.f40d38p+8
+0x1.81b95p+7
+0x1.c295aap+6
+0x1.ca883p+7
+0x1.06f49p+9
+0x1.8e1114p+7
+0x1.40f33ep+9
+0x1.52abaap+9
+0x1.1bf2a6p+9
+0x1.5a00c8p+9
+0x1.b45c7cp+8
+0x1.05f1fap+9
+0x1.eb67fep+6
+0x1.a94304p+8
+0x1.2a8f54p+9
+0x1.2fdeaep+8
+0x1.5cc168p+8
+0x1.444114p+9
+0x1.433d06p+9
+0x1.d7b032p+4
+0x1.0be452p+9
+0x1.470b0ap+8
+0x1.d4eb0ap+8
+0x1.a909ap+8
+0x1.86807cp+8
+0x1.04e87p+8
+0x1.4ef2b6p+8
+0x1.05908p+8
+0x1.4d69p+6
+0x1.c50e8cp+6
+0x1.c19b3ep+7
+0x1.dcc518p+7
+0x1.2b553ep+8
+0x1.08193ep+7
+0x1.4c4d52p+8
+0x1.f9732ep+8
+0x1.2599cp+9
+0x1.111772p+7
+0x1.373acep+6
+0x1.a921p+8
+0x1.c35a56p+8
+0x1.2f8dfcp+8
+0x1.a6925p+5
+0x1.5b2548p+9
+0x1.114e16p+8
+0x1.638228p+8
+0x1.553088p+8
+0x1.ade40ap+7
+0x1.2cda6p+9
+0x1.40e06ap+9
+0x1.e2bae6p+8
+0x1.42fd5ap+9
+0x1.306fdep+9
+0x1.273904p+5
+0x1.197384p+9
+0x1.669d98p+8
+0x1.48e1e2p+8
+0x1.b61184p+8
+0x1.542428p+9
+0x1.fc2daep+5
+0x1.3b4404p+9
+0x1.82be76p+8
+0x1.6168dap+9
+0x1.c760acp+8
+0x1.6123c4p+8
+0x1.81c40ap+8
+0x1.c9cfe4p+8
+0x1.5b7f16p+9
+0x1.3e3276p+9
+0x1.9da4e8p+8
+0x1.e65f16p+8
+0x1.076cbep+9
+0x1.50ba58p+9
+0x1.4df2f8p+9
+0x1.608e74p+9
+0x1.4084ccp+7
+0x1.5720d8p+9
+0x1.3c5992p+9
+0x1.5f5c98p+3
+0x1.3765a4p+9
+0x1.182c94p+9
+0x1.20ed4p+9
+0x1.69d99ep+5
+0x1.711a4ap+7
+0x1.ec28p+8
+0x1.29087p+7
+0x1.5fa0aep+8
+0x1.6ac95ap+3
+0x1.2d344cp+8
+0x1.5ca50cp+7
+0x1.270894p+9
+0x1.ca3c96p+8
+0x1.e37a4p+8
+0x1.87c236p+7
+0x1.dc608p+6
+0x1.a593f8p+7
+0x1.863f6ap+8
+0x1.eac0d2p+8
+0x1.910c16p+8
+0x1.b06778p+8
+0x1.31099ep+6
+0x1.1b48d8p+8
+0x1.0b4668p+9
+0x1.56b30ep+9
+0x1.40d942p+9
+0x1.b3ee3ap+8
+0x1.b0186ep+8
+0x1.de6a74p+6
+0x1.ee42d2p+4
+0x1.e41b68p+8
+0x1.22f5f6p+9
+0x1.70564ap+8
+0x1.6933dcp+7
+0x1.6f1412p+6
+-0x1.9d47aap+3
+0x1.b136a8p+8
+0x1.5c316ep+8
+0x1.ffd798p+8
+0x1.20450ap+7
+0x1.11462p+8
+0x1.148802p+9
+0x1.010962p+9
+0x1.04119p+9
+0x1.d71c28p+4
+0x1.890396p+6
+0x1.23efdep+9
+0x1.13de4ep+9
+0x1.aa3f76p+7
+0x1.b5b394p+8
+0x1.2cc438p+8